<?php
namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class MasterRegistrationOrderSummaryEmail extends Mailable
{
    use Queueable, SerializesModels;

    /**
        * Create a new message instance.
        *
        * @return void
    */   

    public $body;

    public function __construct($body)
    {
        $this->body = $body;
    }

    /**
        * Build the message.
        *
        * @return $this
    */

    public function build()
    {
        return $this->from("noreply@dreamcastmail.co", "MMA IMPACT India")->view('emails/confirmation-master-order-summary-registration')->subject("Payment Confirmed: MMA IMPACT India 2023")->with('body',$this->body);
    }
}