<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Event extends Model
{
    use HasFactory;

    protected $fillable = [
        "name",
        "title",
        "description",
        "organizer_message",
        "banner_img",
        "logo",
        "secound_logo",
        "event_date",
        "event_time",
        "event_address",
        "festival_dates",
        "festival_month_year",
        "url",
        "home_url",
        "facebook",
        "twitter",
        "linkedin",
        "whatsapp",
        "payment_bypass",
        "created_at",
        "updated_at",
    ];
}
