<?php
namespace App\Services;

use Storage;

class S3Service {
 
    public function getImageUrl($foldername, $file)
    {
        $bucket_upload_name = env('APP_NAME');

        $img_data = $file;
        $img_name = $img_data->getClientOriginalName();
        $upload_name= "Smart-Reg/$bucket_upload_name/$foldername/".time().str_replace(' ', '_', $img_name);
        $img_path = Storage::disk('s3')->put($upload_name, file_get_contents($img_data), 'public');
        $img_url = Storage::disk('s3')->url($upload_name);
        
        return $img_url;
    }
}