@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('coupons')}}">Coupons</a></li>
                <li class="breadcrumb-item"><span>View</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">View Coupon</h2>


            <form class="add-user-form" id="coupon-form">
                @csrf
                <input type="hidden" name="id" value="{{$coupons->id}}">
                <div class="row">
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Name</label>
                        <p><strong>{{$coupons->name}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Code</label>
                        <p><strong>{{$coupons->code}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Quantity</label>
                        <p><strong>{{$coupons->max_ticket}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Description</label>
                        <p><strong>{{$coupons->description}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Ticket Category</label>
                        <p><strong>{{$coupons->ticket_id}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Type</label>
						<p><strong>{{$coupons->coupon_type == 1 ? 'Fixed' : 'Percentage';}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Amount/Percentage</label>
                        <p><strong>{{$coupons->amount}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Starting Date</label>
                        <p><strong>{{$coupons->starting_at}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Ending Date</label>
                        <p><strong>{{$coupons->ending_at}}</strong></p>
                    </div>
                </div>

            </form>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
@endpush