<!-- Custom Date Picker -->	
	<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
	<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
	<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />

	<script type="text/javascript">
		$(function() {
			
		    var start = moment().subtract(29, 'days');
		    var end = moment();

		    function cb(start, end) {
		        $('#reportrange span').html('');
		        $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
		        $('#reportrange input').val(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));		        
		    }

		    $('#reportrange').daterangepicker({
		        startDate: start,
		        endDate: end,
		        ranges: {
		           'Today': [moment(), moment()],
		           'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
		           'Last 7 Days': [moment().subtract(6, 'days'), moment()],
		           'Last 30 Days': [moment().subtract(29, 'days'), moment()],
		           'This Month': [moment().startOf('month'), moment().endOf('month')],
		           'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]		           
		        }
		    }, cb);

		    // cb(start, end);
		});

		function chooseSearchType(searchType) {
			if(searchType == 'status') {
				$('.serach_type_drop_down').removeClass('hide');
				$('.serach_type_txt').addClass('hide');
				$('.datefilter').addClass('hide');
			}
			else if(searchType == 'datewise') {
				$('.serach_type_drop_down').addClass('hide');
				$('.serach_type_txt').addClass('hide');
				$('.datefilter').removeClass('hide');
			}
			else {
				$('.serach_type_drop_down').addClass('hide');
				$('.serach_type_txt').removeClass('hide');
				$('.datefilter').addClass('hide');
			}
		}
	</script>
<!-- Custom Date Picker -->