@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('smtp')}}">SMTP Settings</a></li>
                <li class="breadcrumb-item"><span>View</span></li>
            </ul>
        </div>
    </div>  
	<div class="row">
	 
		<div class="col-md-6 form-group">
			<label>Vendor<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $emailSmtp->sender_name ?: '' }}">
		</div> 
		<div class="col-md-6 form-group">
			<label>Sender Email<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $emailSmtp->sender_name ?: '' }}">
		</div> 
		<div class="col-md-6 form-group">
			<label>SMTP Host</label>
			<input type="text" class="form-control" disabled value="{{ $emailSmtp->sender_name ?: '' }}">
		</div> 
		<div class="col-md-6 form-group">
			<label>SMTP Port</label>
			<input type="text" class="form-control" disabled value="{{ $emailSmtp->port ?: '' }}">
		</div>
		<div class="col-md-6 form-group">
			<label>SMTP Network<span style="color:red;">*</span></label>
			<input type="text" class="form-control" placeholder="SMTP Host" disabled value="{{ $emailSmtp->network ?: '' }}">
		</div>  
		<div class="col-md-6 form-group">
			<label>SMTP Username/Api Key<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $emailSmtp->username ?: '' }}">
		</div>  
		<div class="col-md-6 form-group">
			<label>SMTP Password</label>
			<input type="text" class="form-control"disabled value="{{ $emailSmtp->password ?: '' }}">
		</div>  
	</div>  
</div>
@endsection