<!DOCTYPE html>
<html>
<head>
  <title>{{ $master_setting['settings']->title }} - Admin Panel</title>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  
  <!-- CSRF Token -->
  <meta name="_token" content="{{ csrf_token() }}">
  
  <link rel="shortcut icon" href="{{ $master_setting['settings']->favicon_icon }}">
  <link href="{{ asset('public/admin/css/bootstrap.min.css') }}" rel="stylesheet" />
  <link href="{{ asset('public/admin/css/style.css') }}" rel="stylesheet" />
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
  <link href="{{ asset('public/admin/css/font-awesome.min.css') }}" rel="stylesheet" />
  <link href="{{ asset('public/admin/css/bootstrap-datetimepicker.min.css') }}" rel="stylesheet" />
  <link href="{{ asset('public/admin/css/custom.css') }}" rel="stylesheet" /> 
  <script type="text/javascript" src="https://cdn.ckeditor.com/4.21.0/full/ckeditor.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.0/css/toastr.css" rel="stylesheet" />
  <link href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" rel="stylesheet">
  <link href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css" rel="stylesheet">
  
  @stack('style')
</head>
<body data-base-url="{{url('/')}}">
<div class="loder-set" style="display:none;"><img src="{{url('/')}}/public/images/loder.png" alt=""></div>
  <div class="main-wrapper" id="app">

   
      @include('admin.elements.header')
    @include('admin.elements.sidebar')
      <div class="main-content">
        @yield('content')
      </div>
      @include('admin.elements.footer')
    
  </div>
    <script src="{{ asset('public/admin/js/jquery.min.js') }}"></script>
    <script src="{{ asset('public/admin/js/popper.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.19.1/moment.min.js"></script>
    <script src="{{ asset('public/admin/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('public/admin/js/bootstrap-datetimepicker.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.2.2/Chart.min.js" type="text/javascript"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.0/js/toastr.js"></script>
    <script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
	<script src="https://unpkg.com/xlsx/dist/xlsx.full.min.js"></script>
    <script src="{{ asset('public/admin/js/custom.js') }}"></script>
    @stack('custom-scripts') 
</body>
</html>