<?php 
// echo $master_setting['data']['contact_organizer'];
// dd($master_setting['on_off_settings']);
// dd($master_setting);
 ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <title>Master Settings</title>
    <meta content="" name="description">
    <meta content="" name="keywords">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" type="text/css">
    <meta name="csrf-token" content="{{ csrf_token() }}">
</head>

<body>
    <main id="main" class="main">
        <section class="section">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">Admin Settings</h5>
                            <form onsubmit="return false;" action="#" class="" id="adminSettings" method="post" name="adminSettings">
                                <input type="hidden" name="setting_type" value="Admin">

                                <div class="row mb-5">
                                    <label class="col-sm-2 col-form-label pt-0">Onground Dashboard</label>
                                    <div class="col-sm-10" style="display:flex;">
                                        <div class="form-check" style="margin-right:15px;">                                                                        
                                            <input class="form-check-input" type="radio" name="onground_dashboard" id="onground_dashboard" value="1" @if($master_setting['on_off_settings']['onground_dashboard'] == 1) checked @endif>
                                            <label class="form-check-label"> True </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="onground_dashboard" id="onground_dashboard" value="0" @if($master_setting['on_off_settings']['onground_dashboard'] == 0) checked @endif>
                                            <label class="form-check-label"> False </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mb-5">
                                    <label class="col-sm-2 col-form-label pt-0">Interface Section</label>
                                    <div class="col-sm-10" style="display:flex;">
                                        <div class="form-check" style="margin-right:15px;">                                                                        
                                            <input class="form-check-input" type="radio" name="interface_section" id="interface_section" value="1" @if($master_setting['on_off_settings']['interface_section'] == 1) checked @endif>
                                            <label class="form-check-label"> True </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="interface_section" id="interface_section" value="0" @if($master_setting['on_off_settings']['interface_section'] == 0) checked @endif>
                                            <label class="form-check-label"> False </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mb-5">
                                    <label class="col-sm-2 col-form-label pt-0">Interface Management</label>
                                    <div class="col-sm-10" style="display:flex;">
                                        <div class="form-check" style="margin-right:15px;">                                                                        
                                            <input class="form-check-input" type="radio" name="interface_management" id="interface_management" value="1" @if($master_setting['on_off_settings']['interface_management'] == 1) checked @endif>
                                            <label class="form-check-label"> True </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="interface_management" id="interface_management" value="0" @if($master_setting['on_off_settings']['interface_management'] == 0) checked @endif>
                                            <label class="form-check-label"> False </label>
                                        </div>
                                    </div>
                                </div>


                                <div class="row mb-5">
                                    <label class="col-sm-2 col-form-label pt-0">Interface List</label>
                                    <div class="col-sm-10" style="display:flex;">
                                        <div class="form-check" style="margin-right:15px;">                                                                        
                                            <input class="form-check-input" type="radio" name="interface_list" id="interface_list" value="1" @if($master_setting['on_off_settings']['interface_list'] == 1) checked @endif>
                                            <label class="form-check-label"> True </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="interface_list" id="interface_list" value="0" @if($master_setting['on_off_settings']['interface_list'] == 0) checked @endif>
                                            <label class="form-check-label"> False </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mb-5">
                                    <label class="col-sm-2 col-form-label pt-0">Whatsapp Logs</label>
                                    <div class="col-sm-10" style="display:flex;">
                                        <div class="form-check" style="margin-right:15px;">                                                                        
                                            <input class="form-check-input" type="radio" name="whatsapp_logs" id="whatsapp_logs" value="1" @if($master_setting['on_off_settings']['whatsapp_logs'] == 1) checked @endif>
                                            <label class="form-check-label"> True </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="whatsapp_logs" id="whatsapp_logs" value="0" @if($master_setting['on_off_settings']['whatsapp_logs'] == 0) checked @endif>
                                            <label class="form-check-label"> False </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mb-5">
                                    <label class="col-sm-2 col-form-label pt-0">Whatsapp Facebok</label>
                                    <div class="col-sm-10" style="display:flex;">
                                        <div class="form-check" style="margin-right:15px;">                                                                        
                                            <input class="form-check-input" type="radio" name="whatsapp_facebok" id="whatsapp_facebok" value="1" @if($master_setting['on_off_settings']['whatsapp_facebok'] == 1) checked @endif>
                                            <label class="form-check-label"> True </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="whatsapp_facebok" id="whatsapp_facebok" value="0" @if($master_setting['on_off_settings']['whatsapp_facebok'] == 0) checked @endif>
                                            <label class="form-check-label"> False </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mb-5">
                                    <label class="col-sm-2 col-form-label pt-0">Whatsapp Interakt</label>
                                    <div class="col-sm-10" style="display:flex;">
                                        <div class="form-check" style="margin-right:15px;">                                                                        
                                            <input class="form-check-input" type="radio" name="whatsapp_interakt" id="whatsapp_interakt" value="1" @if($master_setting['on_off_settings']['whatsapp_interakt'] == 1) checked @endif>
                                            <label class="form-check-label"> True </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="whatsapp_interakt" id="whatsapp_interakt" value="0" @if($master_setting['on_off_settings']['whatsapp_interakt'] == 0) checked @endif>
                                            <label class="form-check-label"> False </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mb-5">
                                    <label class="col-sm-2 col-form-label"></label>
                                    <div class="col-sm-10">
                                        <button type="button" class="btn btn-primary" id="admin_settings_submit">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>            
            <br>
        </section>
    </main>
    <!-- End #main -->

    <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

    <script src="{{asset('public/js/jquery-3.4.1.min.js')}}?v=<?php echo time(); ?>"> </script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"> </script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <script type="text/javascript">
        $('#admin_settings_submit').on('click', function (e) {            
            var data = $('#adminSettings').serialize();

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            $.ajax({
                async: true,
                type: 'post',
                url: 'master_settings_submit',
                data: data,
                success: function (response) {
                    response = jQuery.parseJSON(response);
                    // console.log(response.type);
                    var type = response.type;
                    var message = response.message;

                    if (type == 'Success')
                    {
                        // Swal.fire('Success', message, 'success')
                        
                        Swal.fire({
                            title: "Success", 
                            text: message, 
                            type: "success",
                            buttons: true
                        }).then(function(){
                            location.reload();
                        });
                    }
                    else
                    {
                        Swal.fire('Error', message, 'error')
                    }
                }
            });

            e.preventDefault();
        });
    </script>

</body>
</html>