<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="initial-scale=1.0,minimum-scale=1.0,maximum-scale=2,width=device-width" maximum-scale="2" />
  <meta name="theme-color" content="#e9f7ff" />
  <meta name="msapplication-TileColor" content="#e9f7ff" />
  <meta name="msapplication-navbutton-color" content="#e9f7ff" />
  <meta name="apple-mobile-web-app-status-bar-style" content="#e9f7ff" />
  <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap" rel="stylesheet">
  <style>
    body {
      margin: 0;
      padding: 0;
      font-family: 'Montserrat', sans-serif;
    }

    .siteposition {
      background-size: cover;
      background-position: center;
      overflow: hidden;
      background-attachment: fixed;
      background-repeat: no-repeat;
    }

    .playVideoButton{
      position: absolute;
    top: 50%;
    left: 50%;
    font-size: 50px;
    font-family: 'Montserrat', sans-serif;
    transform: translate(-50%, -50%);
    width: 100%;
    }
    .playVideoButton a{
      font-size:30px;
    padding: 15px 30px;
    color: #fff;
    font-weight: bold;
    text-align: center;
    margin: 0px auto;
    display: table;
     border-radius: 10px;
    text-decoration: none;
    }


    @media only screen and (min-width:320px) and (max-width:767px) {
      body {
        margin: 0;
        padding: 0;
        font-family: 'Montserrat', sans-serif;
      }

      .playVideoButton a{
        font-size:20px;
      }


    }


  </style>
</head>

<body class="siteposition" style="background-image: url({{asset('public/assets/bg.png')}});">
  <div class="thankyou">

  <div class="playVideoButton">
    <a href="{{route('winner1')}}">DRAW</a>
    </div>
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
  

</body>

</html>