<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AppApisController;
use App\Http\Controllers\Api\PyamentWebhookController;
use App\Http\Controllers\Api\OngroundController;
use App\Http\Controllers\Api\ZappingController;
use App\Http\Controllers\Api\RedemptionController;
use App\Http\Controllers\Api\GetVisitorDataController;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

/* webhook route for payment gateway */
Route::post('/payment/generalregistrations', [PyamentWebhookController::class, 'generalregistrations']);

/* save other source data */

Route::post('/get_visitor_data',[GetVisitorDataController::class,'get_visitor_data']);
Route::post('/save_visitor_api_user',[GetVisitorDataController::class,'save_visitor_api_user']);
//Route::post('/save_visitor_api_user1',[GetVisitorDataController::class,'save_visitor_api_user1']);



//orground registration
Route::post('/usersave', [OngroundController::class, 'usersave']);


/*for onground app apis */
Route::get('/search_user/{search?}', [RedemptionController::class, 'search_user']);
Route::get('/search_user_k2mini/{unique_code?}', [RedemptionController::class, 'search_user_k2mini']);
Route::get('/update_user/{unique_code?}', [RedemptionController::class, 'update']);
Route::post('/edit_user/{id}', [RedemptionController::class, 'edit_user']);

Route::get('/zapping/{location?}/{unqiue_code?}', [ZappingController::class, 'zapping']);
Route::post('/mbadgeZapping', [ZappingController::class, 'mbadgeZapping']);