<!DOCTYPE html>
<html>
<head>
  <title><?php echo e($master_setting['settings']->title); ?> - Admin Panel</title>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  
  <!-- CSRF Token -->
  <meta name="_token" content="<?php echo e(csrf_token()); ?>">
  
  <link rel="shortcut icon" href="<?php echo e($master_setting['settings']->favicon_icon); ?>">

  <!-- plugin css -->
 <!--  <link href="<?php echo e(asset('public/admin/assets/fonts/feather-font/css/iconfont.css')); ?>" rel="stylesheet" />
  <link href="<?php echo e(asset('public/admin/assets/plugins/perfect-scrollbar/perfect-scrollbar.css')); ?>" rel="stylesheet" /> -->
  <!-- end plugin css -->


  <link href="<?php echo e(asset('public/admin/css/bootstrap.min.css')); ?>" rel="stylesheet" />
  <link href="<?php echo e(asset('public/admin/css/style.css')); ?>" rel="stylesheet" />
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
  <link href="<?php echo e(asset('public/admin/css/font-awesome.min.css')); ?>" rel="stylesheet" />
  <link href="<?php echo e(asset('public/admin/css/custom.css')); ?>" rel="stylesheet" />
  <script type="text/javascript" src="https://cdn.ckeditor.com/4.11.2/full/ckeditor.js"></script>

  <?php echo $__env->yieldPushContent('plugin-styles'); ?>

  <!-- common css -->
  <!-- <link href="<?php echo e(asset('public/admin/css/app.css')); ?>" rel="stylesheet" /> -->
  <!-- end common css -->

  <?php echo $__env->yieldPushContent('style'); ?>
</head>
<body data-base-url="<?php echo e(url('/')); ?>" class="login-page">

  <!-- <script src="<?php echo e(asset('public/admin/assets/js/spinner.js')); ?>"></script> -->

  <div class="main-wrapper" id="app">
    <div class="page-wrapper full-page">
      <?php echo $__env->yieldContent('content'); ?>
    </div>
  </div>

    <!-- base js -->
    <script src="<?php echo e(asset('public/admin/js/app.js')); ?>"></script>
    <script src="<?php echo e(asset('public/admin/js/jquery.min.js')); ?>"></script>
    <!-- <script src="<?php echo e(asset('public/admin/assets/plugins/feather-icons/feather.min.js')); ?>"></script> -->
    <!-- end base js -->

    <!-- plugin js -->
    <?php echo $__env->yieldPushContent('plugin-scripts'); ?>
    <!-- end plugin js -->

    <!-- common js -->
    <!-- <script src="<?php echo e(asset('public/admin/assets/js/template.js')); ?>"></script> -->
    <!-- end common js -->

    <?php echo $__env->yieldPushContent('custom-scripts'); ?>
</body>
</html><?php /**PATH /var/www/html/barcode/resources/views/admin/layouts/login.blade.php ENDPATH**/ ?>