<?php $__env->startPush('plugin-styles'); ?>
<link href="<?php echo e(asset('public/admin/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker.min.css')); ?>" rel="stylesheet" />


<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="d-flex justify-content-between">
        <h2 class="heading"><?php echo e($title); ?></h2>
        <div class="dropdown dropdown-date">
            <form id="dateForm" action="" method="GET">
                <input type="date" id="myDateInput" name="date_filter" max="<?= date('Y-m-d') ?>" value="<?php echo e($date); ?>" class="form-control" onchange="this.form.submit()">
                <button class="reset-dashboard">
                    <img src="<?php echo e(asset('public/img/reset.png')); ?>" alt="" class="img-fluid">
                </button>
            </form>
        </div>
    </div>

    <div id="interface_data"></div>
    <div id="redemption_data"></div>
    <div id="zapping_data"></div>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('custom-scripts'); ?>
<script type="text/javascript">
    interface();
    redemption();
    zapping();

    function interface() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'GET',
            url: "<?php echo e(route('onground-dashboard-interface')); ?>",
            data: {
                date: '<?php echo e($date); ?>',
            },
            success: function(response) {
                $('#interface_data').html(response)
            },
        });
    }

    function redemption() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'GET',
            url: "<?php echo e(route('onground-dashboard-redemption')); ?>",
            data: {
                date: '<?php echo e($date); ?>',
            },
            success: function(response) {
                $('#redemption_data').html(response)
            },
        });
    }

    function zapping() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'GET',
            url: "<?php echo e(route('onground-dashboard-zapping')); ?>",
            data: {
                date: '<?php echo e($date); ?>',
            },
            success: function(response) {
                $('#zapping_data').html(response)
            },
        });
    }

    $('.reset-dashboard').click(function() {
        $('#myDateInput').val('');
        $('#dateForm').form.submit()
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dreamcast/live.dreamcast.in/eventbot/basic_event/resources/views/admin/onground_dashboard/index.blade.php ENDPATH**/ ?>