
<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="<?php echo e(route('form-builder')); ?>">Form Builder</a></li>
                <li class="breadcrumb-item"><span>Edit</span></li>
            </ul>
        </div>
		<button class="btn btn-primary add_more" onclick="openmodal('4');">Add more field</button>
    </div>
	<form id="form_details" method="post" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
		<select name="name" placeholder="Enter the form title" class="form-control">
			<?php $__currentLoopData = $user_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<option value="<?php echo e($value->slug); ?>" <?php if($value->slug == $name): ?> selected <?php endif; ?>><?php echo e($value->type.' - '.$value->category); ?></option>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		</select>
		<table class="table table-striped">
			<thead>
				<tr>
					<th scope="col" style="text-align:center;">Sr No</th>
					<th scope="col" style="text-align:center;">Field Title</th>
					<th scope="col" style="text-align:center;">Field Name</th>
					<th scope="col" style="text-align:center;">Field Type</th>
					<th scope="col" style="text-align:center;">Required</th>
					<th scope="col" style="text-align:center;">Unique Field</th>
					<th scope="col" style="text-align:center;">Filter</th>
					<th scope="col" style="text-align:center;">Value</th>
					<th scope="col" style="text-align:center;">Action</th>
				</tr>
			</thead>
			
				
				<tbody id="field-section">
					<?php $i = 1; ?>
					<?php $__currentLoopData = $form_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<tr>
						<input type="hidden" name="id[]" value="<?php echo e($value->id); ?>">
						<td>
							<input type="number" name="sr_no[]" class="form-control" placeholder="Sr No" value="<?php echo e($value->sr_no); ?>">
						</td>
						<td>
							<input type="text" name="field_title[]" class="form-control" placeholder="Field Title" value="<?php echo e($value->field_title); ?>">
						</td>
						<td>
							<input type="text" name="field_name[]" class="form-control" placeholder="Field Name" value="<?php echo e($value->field_name); ?>">
						</td>
						<td>
							<select name="field_type[]" class="form-control">
								<option value="">Select Field Type</option>
								<option value="text" <?php if($value->field_type == 'text'): ?><?php echo e('selected'); ?><?php endif; ?>>Text</option>
								<option value="email" <?php if($value->field_type == 'email'): ?><?php echo e('selected'); ?><?php endif; ?>>Email</option>
								<option value="phone" <?php if($value->field_type == 'phone'): ?><?php echo e('selected'); ?><?php endif; ?>>Phone</option>
								<option value="textarea" <?php if($value->field_type == 'textarea'): ?><?php echo e('selected'); ?><?php endif; ?>>Textarea</option>
								<option value="select" <?php if($value->field_type == 'select'): ?><?php echo e('selected'); ?><?php endif; ?>>Select</option>
								<option value="checkbox" <?php if($value->field_type == 'checkbox'): ?><?php echo e('selected'); ?><?php endif; ?>>Checkbox</option>
								<option value="radio" <?php if($value->field_type == 'radio'): ?><?php echo e('selected'); ?><?php endif; ?>>Radio</option>
								<option value="image" <?php if($value->field_type == 'image'): ?><?php echo e('selected'); ?><?php endif; ?>>Image</option>
							</select>
						</td>
						<td>
							<select name="required[]" class="form-control">
								<option value="">Select Required</option>
								<option value="1" <?php if($value->required == 1): ?><?php echo e('selected'); ?><?php endif; ?>>Yes</option>
								<option value="0" <?php if($value->required == 0): ?><?php echo e('selected'); ?><?php endif; ?>>No</option>
							</select>
						</td>
						<td>
							<select name="unique[]" class="form-control">
								<option value="">Select Unique</option>
								<option value="1" <?php if($value->unique_field == 1): ?><?php echo e('selected'); ?><?php endif; ?>>Yes</option>
								<option value="0" <?php if($value->unique_field == 0): ?><?php echo e('selected'); ?><?php endif; ?>>No</option>
							</select>
						</td>
						<td>
							<select name="filter[]" class="form-control">
								<option value="">Select Filter</option>
								<option value="1" <?php if($value->filter == 1): ?><?php echo e('selected'); ?><?php endif; ?>>Yes</option>
								<option value="0" <?php if($value->filter == 0): ?><?php echo e('selected'); ?><?php endif; ?>>No</option>
							</select>
						</td>
						<td>
							<input type="text" name="value[]" class="form-control" placeholder="Values" value="<?php echo e($value->value); ?>">
							<input type="hidden" name="field_id[]" value="<?php echo e($value->id); ?>">
							
						</td>
						<td>
							<a class="btn btn-danger remove-field"  data-id="<?php echo e($value->id); ?>">Remove</a>
						</td>
					</tr>
					<?php $i++; ?>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</tbody>
			
		</table>
		<input type="hidden" name="alias" value="<?php echo e($alias); ?>">
		<button class="btn btn-primary submit-btn">Update</button>
	</form>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('custom-scripts'); ?>
<script>
function openmodal(interface_id) {
	var count_fields = $('.updatefield').length;
	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.ajax({
		type:'GET',
		url: "<?php echo e(route('add-form-field')); ?>",
		data: {count_fields:count_fields},
		success:function(response)
		{
			$('#field-section').append(response);
		},
	});
}

$(document).on('click','.remove-field', function()
{
	
	new swal({
		title: "Are you sure?",
		text: "Once delete, you will not be able to recover this entry!",
		type: "warning",
		showCancelButton: true,
		confirmButtonClass: "btn-danger",
		confirmButtonText: "Yes, delete it!",
		closeOnConfirm: false
	}).then((willDelete) => {
		if (willDelete['isConfirmed'] === true) {
			$(this).parent('td').parent('tr').remove();
			var id =  $(this).data('id');
			$.ajaxSetup({
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				}
			});
			$.ajax({
				type:'GET',
				url: "<?php echo e(route('remove-form-field')); ?>",
				data: {id:id},
				success:function(response)
				{
				},
			});
		}
	});
});
$(document).on('click','.submit-btn', function (e) {
	var form = $('#form_details')[0];
	var formData = new FormData(form);
	console.log("test");
	
	$.ajax({
		type:'POST',				
		url: "<?php echo e(route('form-builder-save')); ?>",
		data:formData,
		contentType: false,
		processData: false,
		success:function(response)
		{
			if(response.status == false){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error(response.message); 
			}else if(response.status == true){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.success(response.message);
				setTimeout(function(){
					window.location.href = "<?php echo e(route('form-builder')); ?>";
				}, 5000);
			}else if (response.error) {
				$.each(response.error, function( key, value ) {
					toastr.options = {"positionClass": "toast-bottom-right"};
					toastr.error(value);
				}); 
			}
		},
	
	});
	e.preventDefault();
});
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dreamcast/live.dreamcast.in/eventbot/basic_event/resources/views/admin/form_builder/edit.blade.php ENDPATH**/ ?>