<!DOCTYPE HTML>
<html>

<head>
    <title><?php echo e($master_setting['settings']->title); ?></title>
    <link rel="shortcut icon" href="<?php echo e($master_setting['settings']->favicon_icon); ?>">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <link href="<?php echo e(asset('public/css/bootstrap.min.css')); ?>?v=<?php echo time(); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('public/css/bootstrap-icons.css')); ?>?v=<?php echo time(); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('public/css/reset.css')); ?>?v=<?php echo time(); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('public/css/style.css')); ?>?v=<?php echo time(); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('public/css/intlTelInput.min.css')); ?>?v=<?php echo time(); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('public/css/countrySelect.min.css')); ?>?v=<?php echo time(); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('public/css/cropper.css')); ?>?v=<?php echo time(); ?>" rel="stylesheet" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.0/css/toastr.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <style>
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    input[type=number] {
        -moz-appearance: textfield;
    }
    </style>
</head>

<body class="<?php echo e(Route::currentRouteName()); ?>">
    <style>
    .lds-hourglass {
        /* Layout Properties */
        top: 495px;
        left: 64px;
        width: 248px;
        height: 140px;
        /* UI Properties */
        opacity: 1;
    }
    </style>
    <div style="display: none;" class="lds-hourglass">
        <lottie-player src="<?php echo e(asset('public/97739-loader.json')); ?>" background="transparent" speed="1"
            style="width: 248px; height: 140px;" loop autoplay></lottie-player>
    </div>
    <?php echo $__env->yieldContent('content'); ?>
       <footer>


<div class="container">
  <div class="social-icon">
    <span>Follow EEMA On:</span>
    <a href="#_" target="_blank"><i class="fa fa-linkedin"></i></a>
    <a href="#_" target="_blank"><i class="fa fa-facebook f"></i></a>
    <a href="#_" target="_blank"><i class="fa fa-instagram"></i></a>
    <a href="#_" target="_blank"><i class="fa fa-twitter"></i></a>
    <a href="#_" target="_blank"><i class="fa fa-youtube-play"></i></a>
    <!-- <a href=""><i class="fa fa-whatspp"></i></a> -->
  </div>

  <div class="footer-right">
    <p class="mb-0 mt-0"><a href="<?php echo e(route('termsandconditions')); ?>" target="_blank">Terms &amp; Conditions</a> |
      <a href="https://www.mmaglobal.com/privacy-policy" target="_blank">Privacy Policy</a> | © 2023
      DREAMCAST INC.
    </p>
  </div>

</div>
</footer>
    <script src="<?php echo e(asset('public/js/jquery-3.4.1.min.js')); ?>?v=<?php echo time(); ?>"> </script>
    <script src="https://unpkg.com/@lottiefiles/lottie-player@latest/dist/lottie-player.js"></script>
    <script src="<?php echo e(asset('public/js/popper.min.js')); ?>?v=<?php echo time(); ?>"> </script>
    <script src="<?php echo e(asset('public/js/bootstrap.bundle.min.js')); ?>?v=<?php echo time(); ?>"> </script>
    <script src="<?php echo e(asset('public/js/intlTelInput.min.js')); ?>?v=<?php echo time(); ?>"> </script>
    <script src="<?php echo e(asset('public/js/countrySelect.min.js')); ?>?v=<?php echo time(); ?>"> </script>
    <script src="<?php echo e(asset('public/js/cropper.js')); ?>?v=<?php echo time(); ?>"> </script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.0/js/toastr.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <?php echo $__env->yieldContent('script'); ?>

    <script>

$('#click_click').click(function(){
    $("#click").click();
})

    $('.lds-hourglass').show();

    setTimeout(function() {
        $('.lds-hourglass').hide();
    }, 500);


    document.getElementById('shareBtnFacebook').onclick = function() {
        var facebook = 'https://www.facebook.com/sharer/sharer.php';

        var paramValue = encodeURIComponent("<?php echo e($master_setting['settings']->facebook); ?>");
        var newUrl = facebook + '?' + 'u=' + paramValue;

        window.open(newUrl, "_blank");
    }

    document.getElementById('shareBtnTwitter').onclick = function() {
        var twitter = 'https://twitter.com/intent/tweet';

        var paramValue = encodeURIComponent("<?php echo e($master_setting['settings']->twitter); ?>");
        var newUrl = twitter + '?' + 'url=' + paramValue;

        window.open(newUrl, "_blank");
    }

    document.getElementById('shareBtnLinkedin').onclick = function() {
        var linkedin = 'https://www.linkedin.com/shareArticle';

        var paramValue = encodeURIComponent("<?php echo e($master_setting['settings']->linkedin); ?>");
        var newUrl = linkedin + '?' + 'url=' + paramValue;

        window.open(newUrl, "_blank");
    }

    document.getElementById('shareBtnWhatsapp').onclick = function() {
        var whatsapp = 'https://web.whatsapp.com/send';

        var paramValue = encodeURIComponent("<?php echo e($master_setting['settings']->whatsapp); ?>");
        var newUrl = whatsapp + '?' + 'text=' + paramValue;

        window.open(newUrl, "_blank");
    }
    </script>
    <script type="text/javascript">
    window._mfq = window._mfq || [];
    (function() {
        var mf = document.createElement("script");
        mf.type = "text/javascript";
        mf.defer = true;
        mf.src = "//cdn.mouseflow.com/projects/e3c8c982-07fe-48bd-82ce-baf69cf10c90.js";
        document.getElementsByTagName("head")[0].appendChild(mf);
    })();
    </script>
</body>

</html><?php /**PATH /home/dreamcast/live.dreamcast.in/eventbot/basic_event/resources/views/layouts/user.blade.php ENDPATH**/ ?>