
<?php $__env->startSection('content'); ?>
<div class="container">
	<div class="d-flex justify-content-between mb-3 pr-3">
		<h2 class="heading"><?php echo e($package_name); ?></h2>
		<a href="<?php echo e(route('salesreporting-exportAllData').'/'.$slug); ?>" target="_blank" class="btn btn-main export-btn">Export All Data</a>
	</div>
	
	<?php echo $__env->make('admin.sales_reporting.advance_filter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- Tickets Table -->
<div class="row">
<div class="col-md-12">
    <div class="table-scroller">
        <table class="table table-hover tickets-table" id="" width="100%">
			<thead>
				<tr>
					<th>#</th>
					<th>Name</th>
					<th>Email</th>
					<th>Phone</th>
					<th>Transaction ID</th>
					<th>Payment Gateway</th>
					<th>Order ID</th>
					<th>Amount</th>
					<th>Created</th>
					<th>Action</th>
				</tr>
			</thead>
            <tbody>
				<?php $i=1; ?>
				<?php $__currentLoopData = $order_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				
				<tr>
					<td><?php echo e($i); ?></td>
					<td><?php echo e(ucwords($value->user_name.' '.$value->user_last_name)); ?></td>
					<td><?php echo e($value->user_email); ?></td>
					<td><?php echo e($value->country_code.' '.$value->user_phone); ?></td>
					<td><?php echo e($value->transection_id); ?></td>
					<td><?php echo e($value->payment_option); ?></td>
					<td><?php echo e($value->order_id); ?></td>
					<td><?php echo e($master_setting['settings']->Currency.' '.$value->total); ?></td>
					<td><?php echo e($value->created_at); ?></td>
					<td>
						<div class="dropdown ticket-option">
						<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
							<div class="dot-three"></div>
						</button>
						<div class="dropdown-menu">
							<a class="dropdown-item" onclick="openmodal('view', '<?php echo e($value->order_id); ?>');" data-toggle="modal" data-target="#bookingModal">
								<img class="cal-icon" src="<?php echo e(asset('public/admin/assets/images/view_icon.svg')); ?>"> View
							</a>
						</div>
					</td>
					</tr>
					<?php $i++; ?>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
        </table>
    </div>
	<div class="paging_bootstrap_full_number" id="">
		<ul class="pagination">
			<?php if($pagination == 'yes'): ?>
				<?php echo $order_data->links(); ?>

			<?php endif; ?>
		</ul>
	</div>
    </div>
    </div>
</div>

<!-- tickets modal -->
<div class="modal right fade" id="bookingModal">
	<div class="modal-dialog modal-dialog-scrollable">
		<button type="button" class="close" data-dismiss="modal">×</button>
		<div id="modalContent"></div>
	</div>
</div>
<!-- tickets modal -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>

<script type="text/javascript">
function openmodal(type, id) {
	var url = '';
	
	if(typeof id === 'undefined') {
		toastr.error('Item id is required.');
	}

	if(type == 'view') {
		url = "<?php echo e(route('salesreporting-orderSummary')); ?>";
	}

	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.ajax({
		type:'GET',
		url: url,
		data: {order_id:id,slug:'<?php echo e($slug); ?>'},
		success:function(response)
		{
			$('#modalContent').html(response);
		},
	});
}
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dreamcast/live.dreamcast.in/eventbot/basic_event/resources/views/admin/sales_reporting/reporting_lists.blade.php ENDPATH**/ ?>