<?php $__env->startSection('content'); ?>
<div class="container">
	<div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
		<div class="d-flex">
			<ul>
				<li class="breadcrumb-item"><span><?php echo e($title); ?></span></li>
				<!-- <li class="breadcrumb-item"><a href="#_">Category List</a></li> -->
			</ul>
		</div>
		<div class="btns-group-top">
			<div class="save-next">
				<a type="button" class="btn btn-main white" href="<?php echo e(route('interfaces-import', ['interface_id' => $interface_data->id])); ?>"><i class="fas fa-upload"></i> Import User</a>
				<a type="button" class="btn btn-main white" href="<?php echo e(route('interfaces-add', ['interface_id' => $interface_data->id])); ?>"><i class="fas fa-plus"></i> Add Ticket</a>
				<a type="button" class="btn btn-main white" href="<?php echo e(route('exportInterfaceData', ['interface_id' => $interface_data->id])); ?>"><i class="fas fa-download"></i> Export All Data</a>
			</div>
		</div>
	</div>

	<?php echo $__env->make('admin.interfaces.advance_filter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

	<!-- Tickets Table -->
	<div class="row">
		<div class="col-md-12">
			<div class="table-scroller">

				<table class="table table-hover attendees-table tickets-table">
					<thead>
						<tr>
							<th>#</th>
							<?php $__currentLoopData = $interface_form_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<th><?php echo e($value->field_title); ?></th>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							<th>Unique Code</th>
							<th>M-Badge</th>
							<th>Created</th>
							<th>Action</th>
						</tr>
					</thead>
					<tbody>
						<?php if(!empty($data)): ?>
						<?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<tr id="<?php echo e($value->id); ?>">
							<td> <?php echo e(++$key); ?> </td>
							<?php $__currentLoopData = $interface_form_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2 => $value2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<?php
							$field_name = $value2->field_name;
							?>
							<td> <?php echo e($value->$field_name); ?> </td>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							<td> <?php echo e($value->unique_code); ?> </td>
							<td> <a href="<?php echo e($value->eticket_path); ?>" target="_blank"> View </a> </td>
							<td> <?php echo e(date('d M, Y H:i:s', strtotime($value->created_at))); ?> </td>
							<td>
								<div class="dropdown ticket-option">
									<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
										<div class="dot-three"></div>
									</button>
									<div class="dropdown-menu">
										<a class="dropdown-item" href="<?php echo e(route('interfaces-edit', ['interface_id' => $interface_data->id, 'user_id' => $value->id])); ?>">
											<i class="fas fa-pencil-alt"></i> Edit
										</a>
										<a href="<?php echo e(route('interfaces-view', ['interface_id' => $interface_data->id, 'user_id' => $value->id])); ?>" class="dropdown-item ">
											<i class="fas fa-eye"></i> View
										</a>
										<a class="dropdown-item delete-action" data-interfaceid="<?php echo e($interface_data->id); ?>" data-userid="<?php echo e($value->id); ?>">
											<i class="fas fa-trash"></i> Delete
										</a>
									</div>
							</td>
						</tr>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						<?php else: ?>
						<tr class="odd gradeX" style="text-align: center;">
							<td colspan="8"> No data available in table </td>
						</tr>
						<?php endif; ?>
					</tbody>
				</table>
			</div>
			<div class="paging_bootstrap_full_number" id="">
				<ul class="pagination">
					<?php /* ?>
						@if($pagination == 'yes')
							{!! $data->links() !!}
						@endif
					<?php */ ?>

					<?php echo e($data->withQueryString()->links()); ?>

				</ul>
			</div>
		</div>
	</div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>

<script type="text/javascript">
	$(document).on('click','.delete-action', function()
	{
		
		new swal({
			title: "Are you sure?",
			text: "Once delete, you will not be able to recover this entry!",
			type: "warning",
			showCancelButton: true,
			confirmButtonClass: "btn-danger",
			confirmButtonText: "Yes, delete it!",
			closeOnConfirm: false
		}).then((willDelete) => {
			if (willDelete['isConfirmed'] === true) {
				
				var interface_id = $(this).data('interfaceid');
				var user_id = $(this).data('userid');

				var delete_url = "<?php echo e(route('interfaces-delete')); ?>/"+interface_id+"/"+user_id;
				window.location.replace(delete_url);
				/* alert(delete_url);
				alert(user_id);
				$.ajaxSetup({
					headers: {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					}
				});
				$.ajax({
					type:'GET',
					url: "<?php echo e(route('interfaces-delete')); ?>",
					data: {interface_id:interface_id,user_id:user_id},
					beforeSend: function() {
						$('.loder-set').show();
					},
					success:function(response)
					{
						alert('in');
						//window.location.replace("<?php echo e(route('interfaces', ['interface_id' => $interface_data->id])); ?>");
					},
					complete: function(data) {
						$('.loder-set').hide();
					},
				}); */
			}
		});
	});
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dreamcast/live.dreamcast.in/eventbot/basic_event/resources/views/admin/interfaces/index.blade.php ENDPATH**/ ?>