<?php $__env->startSection('content'); ?>
<div class="container inner-pages-top">
    <?php echo $__env->make('elements.event_info', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="bg-white p-2 rounded">
        <div class="row g-3" id="main-section">
            <div class="col-lg-8">
                <form id="user_details" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="p-3 p-lg-4 pb-0 pb-lg-0">
                        <div class="top-heading justify-content-between">
                            <div class=" left-heading">
                                <a href="<?php echo e(route('ticketBookings', ['slug' => $slug])); ?>" class="btn-back me-3"><img src="<?php echo e(asset('public/images/back_arrow.svg')); ?>" alt=""></a>
                                <h5 class="mb-0">Enter Details</h5>
                            </div>

                            <!-- <p class="mb-0">0/3</p> -->
                        </div>
                        <div class="scroll-ticket for-form">
                            <div class="form-attendees">
                                <?php
                                $k = 1;
                                ?>
                                <?php $__currentLoopData = $_SESSION[$slug]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php for($i=1;$i<=$value['ticket_quantity'];$i++): ?> <div class="form-attendeses-sections">
                                    <h3 class="set-collaps" data-bs-toggle="collapse" href="#collapseExample<?php echo e($k); ?>" role="button" aria-controls="collapseExample<?php echo e($k); ?>"><i class="fa fa-check-circle"></i>Attendee <?php echo e($k); ?> (<?php echo e($value['ticket_name']); ?>)</h3>

                                    <div class="form-attendees-body accordion-collapse collapse <?php if($k == 1): ?> show <?php endif; ?>" id="collapseExample<?php echo e($k); ?>">
                                        <input name="slug" type="hidden" value="<?php echo e($slug); ?>">
                                        <input name="attendee[<?php echo e($key.$i); ?>][ticket_id]" type="hidden" value="<?php echo e($value['id']); ?>">
                                        <div class="row form-row">
                                            <?php $__currentLoopData = $form_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $form_key => $form_value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($form_value->field_type == 'text'): ?>
                                            <div class="col-md-6">
                                                <div class="mb-4">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <input name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>]" type="text" class="form-control <?php echo e($form_value->field_name.$key.$i); ?>" autocomplete="off" list="autocompleteOff">
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php elseif($form_value->field_type == 'textarea'): ?>
                                            <div class="col-md-6">
                                                <div class="mb-4">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <textarea name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>]" class="form-control <?php echo e($form_value->field_name.$key.$i); ?>" autocomplete="off" list="autocompleteOff"></textarea>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php elseif($form_value->field_type == 'email'): ?>
                                            <div class="col-md-6">
                                                <div class="mb-4">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <input name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>]" type="<?php echo e($form_value->field_type); ?>" class="form-control <?php echo e($form_value->field_name.$key.$i); ?>" autocomplete="off" list="autocompleteOff">
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php elseif($form_value->field_type == 'phone'): ?>
                                            <div class="col-md-6">
                                                <div class="mb-4">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <input type="hidden" name="attendee[<?php echo e($key.$i); ?>][country_code]" value="+91" id="countryCode<?php echo e($k); ?>">
                                                    <input type="tel" name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>]" class="form-control mobile <?php echo e($form_value->field_name.$key.$i); ?> tell_input<?php echo e($k); ?>" aria-describedby="mobileHelp" autocomplete="off" list="autocompleteOff">
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php elseif($form_value->field_type == 'select'): ?>
                                            <?php if($form_value->field_name == 'country'): ?>
                                            <div class="col-md-6">
                                                <div class="mb-4 position-relative">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <select name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>]" type="select" class="form-select <?php echo e($form_value->field_name); ?> select2_options <?php echo e($form_value->field_name.$key.$i); ?>" data-fieldnum="<?php echo e($key.$i); ?>" autocomplete="off" list="autocompleteOff">
                                                        <option value="">Select ...</option>
                                                        <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country_key => $country_value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($country_value->name); ?>" data-id="<?php echo e($country_value->id); ?>"><?php echo e($country_value->name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php elseif($form_value->field_name == 'state'): ?>
                                            <div class="col-md-6">
                                                <div class="mb-4 position-relative">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <select name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>]" type="select" class="form-select <?php echo e($form_value->field_name); ?> select2_options <?php echo e($form_value->field_name.$key.$i); ?>" data-fieldnum="<?php echo e($key.$i); ?>" autocomplete="off" list="autocompleteOff">
                                                        <option value="">Select ...</option>
                                                    </select>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php elseif($form_value->field_name == 'city'): ?>
                                            <div class="col-md-6">
                                                <div class="mb-4 position-relative">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>">City</label>
                                                    <select name="attendee[<?php echo e($key.$i); ?>][city]" type="select" class="form-select select2_options city<?php echo e($key.$i); ?>" data-fieldnum="<?php echo e($key.$i); ?>" autocomplete="off" list="autocompleteOff">
                                                        <option value="">Select city</option>
                                                    </select>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php else: ?>
                                            <div class="col-md-6">
                                                <div class="mb-4 position-relative">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <select name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>]" type="select" class="form-select select2_options <?php echo e($form_value->field_name.$key.$i); ?>" data-fieldnum="<?php echo e($key.$i); ?>" autocomplete="off" list="autocompleteOff">
                                                        <option value="">Select ...</option>
                                                        <?php
                                                        $option_values = explode(',', $form_value->value);
                                                        ?>
                                                        <?php $__currentLoopData = $option_values; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $options): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($options); ?>"><?php echo e($options); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php endif; ?>
                                            <?php elseif($form_value->field_type == 'radio'): ?>
                                            <div class="col-md-12">
                                                <div class="select-date d-flex flex-wrap mb-3 mb-md-5">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <div class="date-checks d-flex justify-content-right w-100">
                                                        <?php
                                                        $radio_values = explode(',', $form_value->value);
                                                        ?>
                                                        <?php $__currentLoopData = $radio_values; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $radio_option_value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <div class="check-b">
                                                            <input type="radio" class="form-control checkbox-custom <?php echo e($form_value->field_name.$key.$i); ?>" name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>][]" value="<?php echo e($radio_option_value); ?>">
                                                            <label class="custom-check-lable"><?php echo e($radio_option_value); ?></label>
                                                        </div>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </div>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php elseif($form_value->field_type == 'checkbox'): ?>
                                            <?php
                                            $festival_dates_status = 0;
                                            $checkbox_values = explode(',', $form_value->value);
                                            if($form_value->field_name == 'festival_dates' && $value['day_qty'] == count($checkbox_values)) {
                                            $festival_dates_status = 1;
                                            }
                                            ?>
                                            <div class="col-md-12" <?php if($festival_dates_status==1): ?> style="display:none;" <?php endif; ?>>
                                                <div class="select-date d-flex flex-wrap mb-3 mb-md-5">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>"><?php echo e($form_value->field_title); ?></label>
                                                    <div class="date-checks d-flex justify-content-right w-100">
                                                        <?php $__currentLoopData = $checkbox_values; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $checkbox_option_value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <div class="check-b">
                                                            <input type="checkbox" class="form-control checkbox-custom <?php echo e($form_value->field_name.$key.$i); ?>" name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>][]" value="<?php echo e($checkbox_option_value); ?>" <?php if($festival_dates_status==1): ?> checked <?php endif; ?>>
                                                            <label class="custom-check-lable"><?php echo e($checkbox_option_value); ?> Feb</label>
                                                        </div>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </div>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            <?php elseif($form_value->field_type == 'image'): ?>
                                            <div class="col-md-12">
                                                <div class="mb-4">
                                                    <label class="form-label <?php if($form_value->required == 1): ?> required <?php endif; ?>">Please Upload <?php echo e($form_value->field_title); ?>:</label>
                                                    <div id="uploadimage<?php echo e($key.$i); ?>">
                                                        <div class="uploadOuter image_profile<?php echo e($key.$i); ?> dragoverBox">
                                                            <span class="dragBox DragDropText">
                                                                Drag and drop file here

                                                                <input type="hidden" name="attendee[<?php echo e($key.$i); ?>][<?php echo e($form_value->field_name); ?>]" data-fieldnum="<?php echo e($form_value->field_name.$key.$i); ?>" class="form-control image_url<?php echo e($form_value->field_name.$key.$i); ?>" />
                                                                <input type="file" name="attendee[<?php echo e($key.$i); ?>][image]" data-fieldnum="<?php echo e($form_value->field_name.$key.$i); ?>" accept="image/x-png,image/gif,image/jpeg,image/jpg" style="opacity: 0;" class="form-control image_profile image<?php echo e($key.$i); ?>" />
                                                            </span>
                                                        </div>
                                                        <span>PNG, JPG <!-- : Upto 2 mb --></span>
                                                        <span class="error-message image-response-<?php echo e($form_value->field_name.$key.$i); ?>"></span>
                                                    </div>
                                                    <div id="preview<?php echo e($form_value->field_name.$key.$i); ?>" style="max-width:200px;">

                                                    </div>

                                                </div>
                                            </div>
                                            <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    </div>
                            </div>

                            <?php $k++; ?>
                            <?php endfor; ?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </div>
                    </div>
            </div>

            <div class="bg-white botton-fix-form  text-end ">
                <button class="btn btn-primary submit-btn" data-type="Submit" data-slug="<?php echo e($slug); ?>" data-attendee="<?php echo e($i); ?>">
                    Continue <i class="bi bi-chevron-right"></i>
                </button>
                <button class="btn btn-primary edit-btn" style="display:none;">
                    Edit <i class="bi bi-chevron-right"></i>
                </button>
            </div>
            </form>

        </div>

        <!-- Web order summery -->
        <div class="col-lg-4" id="cartSection">
        </div>
    </div>
</div>
</div>

<!-- phone order summery -->
<div id="attendee-slideup" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="book-slideupLabel" aria-hidden="true" class="modal slideup-modal fade">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="mb-0 text-capitalize text-primary">Order Summary</h4>
                <button type="button" data-bs-dismiss="modal" aria-label="Close" class="btn-close"></button>
            </div>
            <div class="col-md-4" id="mobileCartSection">
            </div>

        </div>
    </div>
</div>
<div class="sticky-bottom">
    <div class="d-flex align-items-center justify-content-between p-2">
        <div class="am-wrap">
            <span class="am-label">Total Amount</span>
            <span class="s-b-price total-ammount">Cart</span><a href="javascript:void();" data-bs-target="#attendee-slideup" data-bs-toggle="modal" class="slide-up-info">i</a>
        </div>
        <div class="second-checkout w-100"></div>
    </div>
</div>

<!-- crop profile image model -->
<div class="modal fade" id="modal_profile" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalLabel">Profile Photo</h5>
                <button type="button" class="btn-close closephotomodel" data-bs-dismiss="modal" aria-label="Close"> </button>
            </div>
            <div class="modal-body">
                <div class="img-container">
                    <input type="hidden" name="image-attendee" id="imageattendee" value="" />
                    <div class="row">
                        <div class="col-md-12">
                            <img id="image_profile" src="https://avatars0.githubusercontent.com/u/3456749" style="max-height:250px;">
                        </div>
                    </div>
                    <div class="btn-group" style="width: 100%;">
                        <button id="ZoomInBtn" type="button" class="btn btn-primary" title="Zoom In">
                            <i class="fa fa-search-plus" aria-hidden="true"></i>
                        </button>
                        <button id="ZoomOutBtn" type="button" class="btn btn-primary" title="Zoom Out">
                            <span class="fa fa-search-minus"></span>
                        </button>
                        <button id="MoveLeft" type="button" class="btn btn-primary" title="Move Left">
                            <i class="fa fa-arrow-left"></i>
                        </button>
                        <button id="MoveRight" type="button" class="btn btn-primary" title="Move Right">
                            <i class="fa fa-arrow-right"></i>
                        </button>
                        <button id="MoveUp" type="button" class="btn btn-primary" title="Move Up">
                            <i class="fa fa-arrow-up"></i>
                        </button>
                        <button id="MoveDown" type="button" class="btn btn-primary" title="Move Down">
                            <i class="fa fa-arrow-down"></i>
                        </button>
                        <button id="RotateLeft" type="button" class="btn btn-primary" title="Rotate Left">
                            <i class="fa fa-undo"></i>
                        </button>
                        <button id="RotateRight" type="button" class="btn btn-primary" title="Rotate Right">
                            <i class="fa fa-repeat"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary closephotomodel" data-bs-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" id="crop_profile">Crop</button>
            </div>
        </div>
    </div>
</div>

<!-- to get total attendees number -->
<?php
$total_attendees = array_sum(array_column($_SESSION[$slug], 'ticket_quantity'));
?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
    $(document).ready(function() {
        $(document).ready(function() {
            $('.select2_options').select2();
        });

        loadCart("<?php echo e($slug); ?>");

        function loadCart(slug) {
            $.ajax({
                url: "<?php echo e(route('loadCart')); ?>",
                type: "GET",
                data: {
                    "_token": "<?php echo e(csrf_token()); ?>",
                    slug: slug
                },
                cache: false,
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(result) {
                    $("#cartSection").html(result);
                    $("#mobileCartSection").html(result);
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                }
            });
        }

        //manage user details
        $(document).on('click', '.submit-btn', function(e) {
            var slug = $(this).data('slug');
            var form = $('#user_details')[0];
            var formData = new FormData(form);

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({

                type: 'POST',
                url: "<?php echo e(route('manageUserDetails')); ?>",
                data: formData,
                contentType: false,
                processData: false,
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(response) {
                    //response = jQuery.parseJSON(response);
                    var type = response.type;
                    var message = response.message;
                    var order_id = response.order_id;


                    if ($.isEmptyObject(response.error)) {

                    } else {
                        var fieldnum = response.validation_field_numb;

                        $('.form-control').removeClass('error');
                        $('.form-select').removeClass('error');
                        $('.uploadOuter').removeClass('error');

                        $.each(response.error, function(key, value) {

                            $('.' + key + fieldnum).addClass('error');

                            if (key == 'image_url') {
                                $('.image_profile' + fieldnum).addClass('error');
                            }

                            toastr.error(value);
                        });

                        $("html,body,.scroll-ticket").animate({
                            scrollTop: $(".error").offset().top - 250
                        }, "500");
                    }

                    if (type == "success") {
                        //window.location.href = "<?php echo e(route('checkout', ['slug' => $slug])); ?>";
                        loadCart("<?php echo e($slug); ?>");
                        //remove all errors on fileds
                        $('.form-control').removeClass('error');
                        $('.form-select').removeClass('error');
                        $('.uploadOuter').removeClass('error');
                        //disable and enable buttons
                        $(".fa-check-circle").attr('style', 'color:green;');
                        $(".form-row").addClass('formDisable');
                        $(".checkout_btn").removeClass('disableBtn');
                        $(".submit-btn").hide();
                        $(".edit-btn").show();

                        const checkout_url = "<?php echo e(route('payments')); ?>/"+order_id;
                        $('.second-checkout').html('<div class="checkout_btn w-100"><a href="'+checkout_url+'" class="btn btn-primary py-2 w-100 booknow-btn" id="click" type="button">Checkout</a></div>');
                    }
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                },
            });
            e.preventDefault();
        });

        $(document).on('click', '.edit-btn', function(e) {
            //disable and enable buttons
            $(".fa-check-circle").removeAttr('style', 'color:gray;');
            $(".form-row").removeClass('formDisable');
            $(".checkout_btn").addClass('disableBtn');
            $(".submit-btn").show();
            $(".edit-btn").hide();

            e.preventDefault();
        });

        //select country ajax
        $(document).on('change', '.country', function() {
            var country_id = $('option:selected', this).data('id');
            var fieldnum = $(this).data('fieldnum');

            $.ajax({
                url: "<?php echo e(route('ajaxstate')); ?>",
                type: "POST",
                data: {
                    "_token": "<?php echo e(csrf_token()); ?>",
                    country_id: country_id
                },
                cache: false,
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(result) {
                    $(".state" + fieldnum).html(result);
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                }
            });
        });

        //select state ajax
        $(document).on('change', '.state', function() {
            var state_id = $('option:selected', this).data('id');
            var fieldnum = $(this).data('fieldnum');

            $.ajax({
                url: "<?php echo e(route('ajaxcity')); ?>",
                type: "POST",
                data: {
                    "_token": "<?php echo e(csrf_token()); ?>",
                    state_id: state_id
                },
                cache: false,
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(result) {
                    $(".city" + fieldnum).html(result);
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                }
            });
        });

        //apply coupon code
        $(document).on('click', '.btn-coupon-apply', function(e) {
            //var coupon_code = $('.coupon_input').val();
            let coupon_code = '';
            var x = document.querySelectorAll(".coupon_input");
            $(".coupon_input").each(function(){
                if($(this).val() != '') {
                    coupon_code = $(this).val();
                }
            });

            if (coupon_code != '') {
                $.ajax({
                    type: 'POST',
                    url: "<?php echo e(route('addCouponCode')); ?>",
                    data: {
                        "_token": "<?php echo e(csrf_token()); ?>",
                        coupon_code: coupon_code,
                        slug: "<?php echo e($slug); ?>"
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        response = jQuery.parseJSON(response);
                        var type = response.type;
                        var message = response.message;
                        var order_id = response.order_id;

                        if (type == 'Success') {
                            //location.reload();
                            loadCart("<?php echo e($slug); ?>");
                        } else {
                            toastr.error(message);
                        }
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            } else {
                toastr.error('Please enter a valid coupon code.');
            }
            e.preventDefault();
        });

        $(document).on('click', '.removeCouponCode', function(e) {
            var coupon_code = $('.coupon_input').val();

            if (coupon_code != '') {
                $.ajax({
                    type: 'GET',
                    url: "<?php echo e(route('removeCouponCode')); ?>",
                    data: {
                        "_token": "<?php echo e(csrf_token()); ?>"
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        loadCart("<?php echo e($slug); ?>");
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            } else {
                toastr.error('Please enter a valid coupon code.');
            }
            e.preventDefault();
        });

    });

    //add country code in phone number
    var quantity = "10";
    var k = 'input';
    for (let i = 1; i <= quantity; i++) {
        eval('var ' + k + i + '= document.querySelector(".tell_input"+[i]);');
    }
</script>
<script src="<?php echo e(asset('public/js/telInputs.js')); ?>"> </script>

<script type="text/javascript">
    var $modal_profile = $('#modal_profile');
    var image_profile = document.getElementById('image_profile');
    var cropper_profile;

    $("body").on("change", ".image_profile", function(e) {
        // alert('Image Profile');
        var fieldnum = $(this).data('fieldnum');
        $('#imageattendee').val(fieldnum);

        var files = e.target.files;

        var done = function(url) {
            image_profile.src = url;
            $modal_profile.modal('show');
        };

        var reader;
        var file;
        var url;

        if (files && files.length > 0) {
            file = files[0];

            if (URL) {
                done(URL.createObjectURL(file));
            } else if (FileReader) {
                reader = new FileReader();
                reader.onload = function(e) {
                    done(reader.result);
                };
                reader.readAsDataURL(file);
            }

        }
        $(".image_profile").val('');
    });

    $('#ZoomInBtn').click(function(e) {
        cropper_profile.zoom(0.1);
    });
    $('#ZoomOutBtn').click(function(e) {
        cropper_profile.zoom(-0.1);
    });
    $('#MoveLeft').click(function(e) {
        cropper_profile.move(-10, 0);
    });
    $('#MoveRight').click(function(e) {
        cropper_profile.move(10, 0);
    });
    $('#MoveUp').click(function(e) {
        cropper_profile.move(0, -10);
    });
    $('#MoveDown').click(function(e) {
        cropper_profile.move(0, 10);
    });
    $('#RotateLeft').click(function(e) {
        cropper_profile.rotate(-45);
    });
    $('#RotateRight').click(function(e) {
        cropper_profile.rotate(45);
    });

    $modal_profile.on('shown.bs.modal', function() {
        cropper_profile = new Cropper(image_profile, {
            aspectRatio: 1,
            // viewMode: 1,
            preview: '.preview_profile',
            cropBoxResizable: false,
            autoCropArea: 0.7,
            viewMode: 1,
            center: true,
            dragMode: 'move',
            movable: true,
            scalable: true,
            guides: true,
            zoomOnWheel: true,
            cropBoxMovable: true,
            wheelZoomRatio: 0.1,
            ready: function() {
                //Should set crop box data first here
                //cropper.setCropBoxData(cropBoxData).setCanvasData(canvasData);
            }
        });
    }).on('hidden.bs.modal', function() {
        cropper_profile.destroy();
        $("#image_profile_button").val('');
        cropper_profile = null;
    });

    $("#crop_profile").click(function() {
        // alert('crop_profile');

        canvas = cropper_profile.getCroppedCanvas({
            width: 500,
            height: 500,
        });

        canvas.toBlob(function(blob) {
            url = URL.createObjectURL(blob);
            var reader = new FileReader();
            reader.readAsDataURL(blob);

            reader.onloadend = function() {
                var base64data = reader.result;
                //console.log(base64data);
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    dataType: "json",
                    url: "<?php echo e(route('uploadImages', ['slug' => $slug])); ?>",
                    data: {
                        'image': base64data
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        $modal_profile.modal('hide');
                        var attendee = $('#imageattendee').val();
                        var type = response.type;
                        var message = response.message;
                        var path = response.path;
                        if (type == 'Success') {
                            //$('#uploadFile'+attendee).val(path);
                            $('.image-response' + attendee).html("&#10004; " + message).css('color', 'green');

                            $('.image_url' + attendee).attr("value", path);
                            $('#preview' + attendee).html("<img src=" + path + ">");
                            $('.submitbtn' + attendee).removeAttr("disabled");
                        } else if (type == 'Error') {
                            $('#preview' + attendee).html('');
                            $('.image-response' + attendee).html("&#x2717; " + message).css('color', 'red');
                            $('.submitbtn' + attendee).attr("disabled", 'true');
                        }
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            }
        });
    });

    $(".closephotomodel").click(function() {
        var attendee = $('#imageattendee').val();
        $('#uploadFile' + attendee).val('');
        $('#image_url' + attendee).val('');
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dreamcast/live.dreamcast.in/eventbot/basic_event/resources/views/user/attendees.blade.php ENDPATH**/ ?>