<?php $__env->startSection('content'); ?>
<style>
.dropdown-date .dropdown-toggle {
	width:319px !important;
}
</style>


	<div class="container">

		<div class="d-flex justify-content-between mb-3 pr-3">
			<h2 class="heading"><?php echo e($title); ?></h2>
			<!-- <a href="" target="_blank" class="btn btn-main export-btn">Export All Data</a> -->
		</div>
	
		<form action="<?php echo e(route('search')); ?>" method="GET" id="filter-form">
			<div class="card p-3 mb-3">
				<div class="d-flex justify-content-between mb-2 flex-wrap">
					<div class="search-form">
						<div class="d-flex filter-drops flex-wrap searchform search1"> 
							<div class="dropdown dropdown-date input-sec" >
								<input class="dropdown btn btn-default dropdown-toggle" name="search" value="<?php echo e($keyword); ?>" type="text" placeholder="Search here.." />
								<input class="dropdown btn btn-default dropdown-toggle" name="start_date" value="<?php echo e($startDate); ?>" type="date" /> 
							</div>
						</div>
					</div>
					<div class="btns-box">
						<a href="<?php echo e(route('search')); ?>" class="btn btn-light"><span class="fas fa-times"></span> Clear</a>
						
						<button type="submit" class="btn btn-main">Search</button> 
						<?php if(!empty($keyword)): ?>
						<a href="<?php echo e(route('search-filterData', ['search' => $keyword,'start_date' => $startDate])); ?>" target="_blank" class="btn btn-main export-btn">Export</a> 
						<?php endif; ?>
					</div>
				</div>
			</div>
		</form>

		<!-- Tickets Table -->
		<div class="row">
			<div class="col-md-12">
				<div class="table-scroller">
					<table class="table table-hover attendees-table tickets-table">
						<thead>
							<tr> 
								<th>#</th> 
								<th>Interface </th>
								<th>Ticket Name </th>
								<th>Order Id</th>
								<th>Name</th>
								<th>Email</th>
								<th>Phone</th> 
								<th>Status</th> 
								<th>Date</th>								
								<th>Action</th>
							</tr>
						</thead>

						<tbody>
							<?php if(!empty($users)): ?>
								<?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
								
									<tr id="<?php echo e($value->id); ?>">
										<td> <?php echo e(++$key); ?> </td>
										<td> <?php echo e($value->category ?? '-'); ?> </td>
										<td> <?php echo e($value->ticket_name ?? '-'); ?> </td>
										<td> <?php echo e($value->order_id); ?> </td>
										<td> <?php echo e($value->name); ?> </td>
										<td> <?php echo e($value->email); ?> </td> 
										<td> <?php echo e('('.$value->country_code.')'.' '.$value->phone); ?> </td> 
										<td>
											<?php if($value->status == 0): ?>
												<span class="deactivated">Failure</span>
											<?php else: ?>
												<span class="activated">Success</span>
											<?php endif; ?>
										</td>
										<td> <?php echo e($value->created_at); ?> </td>
										
										<td>
											<div class="dropdown ticket-option">
												<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
													<div class="dot-three"></div>
												</button>

												<div class="dropdown-menu">
													<a class="dropdown-item" type="button" href="<?php echo e(route('search-view', ['id' => $value->id])); ?>">
														<img class="cal-icon" src="<?php echo e(asset('public/admin/assets/images/email_builder.svg')); ?>"> View
													</a>
												</div>
											</div>
										</td>
										
									</tr>
								<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							<?php else: ?>
								<tr> <td colspan="12"> No data available in table </td> </tr>
							<?php endif; ?>
						</tbody>
					</table>
				</div>
				<div class="paging_bootstrap_full_number" id="">
					<ul class="pagination">
						 <?php echo $users->links(); ?>

					</ul>
				</div>
			</div>
		</div>			
	</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script type="text/javascript">
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/rafale/resources/views/admin/search/index.blade.php ENDPATH**/ ?>