<div class="event-box sticky-md-top">
    <div class="flex-grow-1">
        <h4 class="mb-3"><?php echo e($master_setting['settings']->title); ?></h4>
        <ul>
            <li>
                <img src="<?php echo e(asset('public/images/date_icon.svg')); ?>" alt="">
                <?php echo html_entity_decode($master_setting['settings']->event_date) ?>                
            </li>
            <li><img src="<?php echo e(asset('public/images/location.svg')); ?>" alt="">
                <address class="ellipsis-2"><?php echo html_entity_decode($master_setting['settings']->event_address) ?></address>
            </li>
            <li>
                <img src="<?php echo e(asset('public/images/website_icon.svg')); ?>" alt="">
                <a href="<?php echo e($master_setting['settings']->url); ?>" class=" p-1 px-2" target="_blank"><?php echo e($master_setting['settings']->url); ?></a>
            </li>
        </ul>
    </div>
    <a href="javascript:;" class="share" data-bs-toggle="modal" data-bs-target="#stream-share"><i class="bi bi-share-fill"></i></a>
</div>
<div id="stream-share" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="stream-shareLabel" aria-hidden="true" class="modal fade">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content"><button type="button" data-bs-dismiss="modal" aria-label="Close" class="btn-close"></button>
            <div class="modal-body p-lg-4 text-center">
                <h5 class="mb-0 text-uppercase">SHARE EVENT</h5>
                <ul class="social-links">
                    <?php if($master_setting['settings']->facebook != ''): ?>
                    <li>
                        <a data-social="whatsapp" href="javascript:void(0);" data-hreflink="<?php echo e($master_setting['settings']->facebook); ?>" id="shareBtnFacebook" class="facebook" >
                            <img src="<?php echo e(asset('public/svg/facebook.svg')); ?>" alt="">
                        </a>
                    </li>
                    <?php endif; ?>
                    <?php if($master_setting['settings']->twitter != ''): ?>
                    <li>
                        <a data-social="whatsapp" href="javascript:void(0);" data-hreflink="<?php echo e($master_setting['settings']->twitter); ?>" class="twitter" id="shareBtnTwitter">
                            <img src="<?php echo e(asset('public/svg/twitter.svg')); ?>" alt="">
                        </a>
                    </li>
                    <?php endif; ?>
                    <?php if($master_setting['settings']->linkedin != ''): ?>
                    <li>
                        <a data-social="whatsapp" href="javascript:void(0);" data-hreflink="<?php echo e($master_setting['settings']->linkedin); ?>" class="linkedin" id="shareBtnLinkedin">
                            <img src="<?php echo e(asset('public/svg/linkedin.svg')); ?>" alt="">
                        </a>
                    </li>
                    <?php endif; ?>
                    <?php if($master_setting['settings']->whatsapp != ''): ?>
                    <li>
                        <a data-social="whatsapp" href="javascript:void(0);" data-hreflink="<?php echo e($master_setting['settings']->whatsapp); ?>" class="whatsapp" id="shareBtnWhatsapp">
                            <img src="<?php echo e(asset('public/svg/whatsapp.svg')); ?>" alt="">
                        </a>
                    </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </div>
</div><?php /**PATH /var/www/html/barcode/resources/views/elements/event_info.blade.php ENDPATH**/ ?>