<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><span>User Type</span></li>
                <!-- <li class="breadcrumb-item"><a href="#_">Category List</a></li> -->
            </ul>
        </div>
    </div>
    <div class="btns-group-top">
        <div class="save-next">
            <a type="button" class="btn btn-main white" href="<?php echo e(route('usertypes-add')); ?>">+ Add User Type</a>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">

            <table class="table table-bordered user_datatable">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Type</th>
                        <th>Category</th>
                        <th>Short Code</th>
                        <th>M-Badge Background</th>
                        <th width="100px">Action</th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('custom-scripts'); ?>
<script type="text/javascript">
    $(function() {
        var table = $('.user_datatable').DataTable({
            processing: true,
            serverSide: true,
            ajax: "<?php echo e(route('usertypes')); ?>",
            columns: [{
                    data: 'id',
                    name: 'id'
                },
                {
                    data: 'type',
                    name: 'type'
                },
                {
                    data: 'category',
                    name: 'cetegory'
                },
                {
                    data: 'shortcode',
                    name: 'shortcode'
                },
                {
                    data: 'mbadge',
                    name: 'mbadge'
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
            ]
        });
        console.log(table);
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/barcode/resources/views/admin/usertypes/index.blade.php ENDPATH**/ ?>