<?php
    namespace App\Http\Controllers;

    use Illuminate\Http\Request;
    use Illuminate\Support\Facades\Mail;
    use App\Mail\ReminderEmail;
    use App\Mail\ReminderEmail2;
    use App\Mail\RegisterEmail;
    use App\Mail\EventEmail;
    use App\Mail\EventEmailSix;
    use App\Mail\EventEmailSeveen;
    use App\Mail\EventEmailAid;
    use App\Mail\EventEmailOgaan;
    use App\Mail\qr;
    use App\Mail\ConfirmationEmail;
    use App\Mail\ConfirmationEmail2;
    use App\Mail\ReminderEmail12;
    use App\Mail\ReminderEmail13;
    use App\Models\Uniquecode;
    use App\Models\User;
    use SimpleSoftwareIO\QrCode\Facades\QrCode;
    use Illuminate\Support\Facades\Crypt;
    use Illuminate\Support\Facades\Session;
    use Illuminate\Support\Facades\File;
    use Storage, DB;

    class EmailController extends Controller
    {
        public function qr()
        {
            $unique_code="ID227HPHD";
            $qr_path=$this->generateQr($unique_code,"PN");


            //list($new_width, $new_height, $new_type, $new_attr) = getimagesize($qr_path);
            $new = imagecreatefrompng($qr_path);
            $master = imagecreatefrompng('https://live.dreamcast.in/indiadesign/public/India-Design-ID.png');


            imagealphablending($master, false);
            // imagesavealpha($demasterst, true);

            imagecopymerge($master, $new, 330, 550, 0, 0, 150, 150, 100);
            // imagecopymerge ( resource $dst_im , resource $src_im , int $dst_x , int $dst_y , int $src_x , int $src_y , int $src_w , int $src_h , int $pct )

            $white = imagecolorallocate($master, 0, 0, 0);
            $text = 'ID227HPHD';
            $font = './MTCORSVA.TTF';
            imagettftext($master, 20, 0, 340, 720, $white, $font, $text);

            header('Content-Type: image/png');
            imagepng($master);
            $masterImg = imagepng($master,'merged.png');

            dd($masterImg);
        }

        public function ReminderMailDay1(Request $request)
        {
            exit('ReminderMailDay1');

            /*
                Dear *First Name*,
                 
                You are cordially invited to attend the 3rd Edition of The Gourmet Fest, unraveling on the 24th of September 2022 at A-Dot, Gurgaon. A global platform set to showcase the best of the F&B industry, The Gourmet Fest is bound to sweep you off your feet and provide a wholesome gastronomic experience. The event unfolding begins at 3:00 PM IST. 
                 
                Stay tuned for more updates!
                 
                Regards.
                Team Gourmet Fest
                [Click here to confirm]: Yes/No
            */
        }

        public function ReminderMailDay2(Request $request)
        {
            exit('ReminderMailDay2');
            /*
                Dear *First Name*,
                 
                You are cordially invited to attend the 3rd Edition of The Gourmet Fest, unraveling on the 25th of September 2022 at A-Dot, Gurugram. A global platform set to showcase the best of the F&B industry, The Gourmet Fest is bound to sweep you off your feet and provide a wholesome gastronomic experience. The event unfolding begins at 7:00 PM IST. 
                 
                Stay tuned for more updates!
                 
                Regards.
                Team Gourmet Fest
                [Click here to confirm]: Yes/No
            */
        }

        public function ReminderMailDayBoth(Request $request)
        {
            exit('ReminderMailDayBoth');        

            /*
                Dear *First Name*,
                 
                You are cordially invited to attend the 3rd Edition of The Gourmet Fest, unraveling on the 24th of September 2022 at A-Dot, Gurgaon. A global platform set to showcase the best of the F&B industry, The Gourmet Fest is bound to sweep you off your feet and provide a wholesome gastronomic experience. The event unfolding begins at 3:00 PM IST. 
                 
                Stay tuned for more updates!
                 
                Regards.
                Team Gourmet Fest
                [Click here to confirm]: Yes/No
            */
        }

        public function ReminderMailDay1Confirm(Request $request)
        {
            exit('ReminderMailDay1Confirm');

            /*
                (For email) Subject: Congratulations, you've been registered for The Gourmet Fest, 2022!
                 
                [Attached m-badge creative]
                Dear *First name*,
                 
                Congratulations! You have been registered with us for the 3rd Edition of The Gourmet Fest 2022, set to unravel on the 24th of September 2022 at A-Dot, Gurugram. The event shall commence at 3:00 PM IST.
                 
                Stay tuned for more updates!

                Here’s your M-badge for accessing the event.
                 
                Regards.
                Team Gourmet Fest
                [Button] Location: A Dot by GNH, Gurugram
            */
        }

        public function ReminderMailDay2Confirm(Request $request)
        {
            exit('ReminderMailDay2Confirm');

            /*
                (For email) Subject: Congratulations, you've been registered for The Gourmet Fest, 2022!
                 
                [Attached m-badge creative]
                Dear *First name*,
                 
                Congratulations! You have been registered with us for the 3rd Edition of The Gourmet Fest 2022, set to unravel on the 25th of September 2022 at A-Dot, Gurugram. The event shall commence at 7:00 PM IST.
                 
                Stay tuned for more updates!

                Here’s your M-badge for accessing the event.
                 
                Regards.
                Team Gourmet Fest
                [Button] Location: A Dot by GNH, Gurugram
            */
        }

        public function ReminderMailDayBothConfirm(Request $request)
        {
            exit('ReminderMailDayBothConfirm');        
            /*
                (For email) Subject: Congratulations, you've been registered for The Gourmet Fest, 2022!
                 
                [Attached m-badge creative]
                Dear *First name*,
                 
                Congratulations! You have been registered with us for the 3rd Edition of The Gourmet Fest 2022, set to unravel on the 24th-25th of September 2022 at A-Dot, Gurugram. The event shall commence at 3:00 PM IST.
                 
                Stay tuned for more updates!

                Here’s your M-badge for accessing the event.
                 
                Regards.
                Team Gourmet Fest
            */
        }

        public function ReminderMailExhibitor($value='')
        {
            exit('ReminderMailExhibitor');        
            /*
                Dear *First name*,
 
                We graciously request your attendance for the 3rd Edition of The Gourmet Fest 2022, all set to take place on the 24th-25th of September 2022 at A-Dot, Gurugram. A global platform set to showcase the best of the F&B industry, The Gourmet Fest is all about providing a space for networking and creativity to give way to outstanding creations in gourmet.
                 
                The event starts at 3:00 PM IST. Stay tuned for more updates!

                Here’s your M-badge for accessing the event.
                 
                Regards.
                Team Gourmet Fest
                [Button] Location: A Dot by GNH, Gurugram
            */
        }

        public function ReminderMailSpeakers($value='')
        {
            exit('ReminderMailSpeakers');        
            /*
                Dear *First name*,
                 
                We graciously request your attendance for the 3rd Edition of The Gourmet Fest 2022, all set to take place on the 24th of September 2022 at A-Dot, Gurugram. A global platform set to showcase the best of the F&B industry, The Gourmet Fest is all about providing a space for networking and creativity to give way to outstanding creations in gourmet.
                 
                The event starts at 3:00 PM IST. Stay tuned for more updates!

                Here’s your M-badge for accessing the event.
                 
                Regards.
                Team Gourmet Fest
                [Button] Location: A Dot by GNH, Gurugram                
            */
        }

        public function ReminderMailSpeakers($value='')
        {
            exit('PAID USERS/ DELEGATE DAY 1(24th sept)');        
            /*
                [Attached m-badge creative]

                Dear *First name*,
                 
                Congratulations! You have been registered with us for the 3rd Edition of The Gourmet Fest 2022, set to unravel on the 24th of September 2022 at A-Dot, Gurugram. A platform showcasing the experimental and amusing side of dishes and desserts, get ready for an immersive experience called the Gourmet Fest.
                 
                Here’s your M-badge for accessing the event. May you have a gala time with us experiencing gourmet.
                 
                Regards.
                Team Gourmet Fest
                [Button] Location: A Dot by GNH, Gurugram            
            */
        }




/*WhatsApp is Pending Yet*/
        public function ReminderWhatsAppDay1(Request $request)
        {
            exit('ReminderMailDay1');
        }

        public function ReminderWhatsAppDay2(Request $request)
        {
            exit('ReminderMailDay2');        
        }

        public function ReminderWhatsAppDayBoth(Request $request)
        {
            exit('ReminderMailDayBoth');        
        }

        public function ReminderWhatsAppDay1Confirm(Request $request)
        {
            exit('ReminderMailDay1');
        }

        public function ReminderWhatsAppDay2Confirm(Request $request)
        {
            exit('ReminderMailDay2');        
        }

        public function ReminderWhatsAppDayBothConfirm(Request $request)
        {
            exit('ReminderMailDayBoth');        
        }




        public function ReminderMail12(Request $request)
        {
           $users = DB::table('emailers')->limit(500)->get();

            foreach ($users as $user)
            {
                $email = $user->email;
                Mail::to($email)->send(new ReminderEmail12());
                if(Mail::failures() != 0)
                {                
                    echo "<p> Message Sent. </p>";
                }
                else
                {                
                    echo "<p> Message Failed. </p>";
                }
            }
        }

        public function ReminderMail13(Request $request)
        {
            $users = DB::table('emailers')->limit(500)->get();

            foreach ($users as $user)
            {
                $email = $user->email;
                Mail::to($email)->send(new ReminderEmail13());
                if(Mail::failures() != 0)
                {                
                    echo "<p> Message Sent. </p>";
                }
                else
                {                
                    echo "<p> Message Failed. </p>";
                }
            }
        }
    
        public function sendRegisterEmail(Request $request)
        {
           $user = User::where('email', $email)->where('status', 1)->first();

            foreach ($users as $user)
            {
                $userID= Crypt::encrypt($user->id);
                $email = $user->email;
                $name = $user->name;
                $mobile = $user->mobile;
         
                $body = [
                    'id' => $userID,
                    'name' => $name,
                    'email' => $email,
                    'mobile' => $mobile,
                ];
         
                Mail::to($email)->send(new RegisterEmail($body));
                $this->register_whatsapp($name,$mobile,$userID);
                if(Mail::failures() != 0)
                {                
                    echo "<p> Message Sent. </p>";
                }
                else
                {                
                    echo "<p> Message Failed. </p>";
                }
            }
        }

        public function sendEventEmail(Request $request)
        {
            Mail::to('tarun@dreamcast.in')->send(new EventEmail());
            if(Mail::failures() != 0)
            {                
                echo "<p> Message Sent. </p>";
            }
            else
            {                
                echo "<p> Message Failed. </p>";
            }
        }

        public function sendEventEmailSix(Request $request)
        {
            Mail::to('tarun@dreamcast.in')->send(new EventEmailSix());
            if(Mail::failures() != 0)
            {                
                echo "<p> Message Sent. </p>";
            }
            else
            {                
                echo "<p> Message Failed. </p>";
            }
        }

        public function sendEventEmailSeveen(Request $request)
        {
            Mail::to('tarun@dreamcast.in')->send(new EventEmailSeveen());
            if(Mail::failures() != 0)
            {                
                echo "<p> Message Sent. </p>";
            }
            else
            {                
                echo "<p> Message Failed. </p>";
            }
        }

        public function sendEventEmailAid(Request $request)
        {
            $users = DB::table('emailers')->where('sent_email', 0)->where('type', 'AID')->limit(500)->get();

            foreach ($users as $user)
            {
                $email = $user->email;
                $body = [
                    'name' => $user->name
                ];

                Mail::to($email)->send(new EventEmailAid($body));
                if(Mail::failures() != 0)
                {    
                    DB::table('emailers')->where('id', $user->id)->update(['sent_email' => 1]);            
                    echo "<p> Message Sent. </p>";
                }
                else
                {                
                    echo "<p> Message Failed. </p>";
                }
            }
        }

        public function sendEventEmailOgaan(Request $request)
        {
            $users = DB::table('emailers')->where('sent_email', 0)->limit(500)->get();
            //$users = DB::table('emailers')->where('sent_email', 0)->where('type', 'Ogaan')->limit(500)->get();

            foreach ($users as $user)
            {
                $email = $user->email;
                $body = [
                    'name' => $user->name
                ];

                Mail::to($email)->send(new EventEmailOgaan($body));
                if(Mail::failures() != 0)
                {
                    DB::table('emailers')->where('id', $user->id)->update(['sent_email' => 1]);
                    echo "<p> Message Sent. </p>";
                }
                else
                {                
                    echo "<p> Message Failed. </p>";
                }
            }
        }

        public function sendReminderEmail(Request $request)
        {
           $users = User::where(['status'=>0,'sent_email'=>0])->get();

            foreach ($users as $user)
            {
                $userID= Crypt::encrypt($user->id);
                $email = $user->email;
                $name = $user->name;
                $mobile = $user->mobile;
         
                $body = [
                    'id' => $userID,
                    'name' => $name,
                    'email' => $email,
                    'mobile' => $mobile,
                ];

                //dd($mobile);

                Mail::to($email)->send(new ReminderEmail($body));

                // $result=whatsapp($name,$mobile);

                $this->rsvp_invitee_for_preview_night($name,$mobile,$userID);

                // User::where('id', $user->id)->update(['email_send' => 1,'qr_code' => $code,'qr_path' => $code]);
                
                if(Mail::failures() != 0)
                {                
                    User::where('id', $user->id)->update(['sent_email' => 1]);
                    echo "<p> Message Sent. </p>";
                }
                else
                {                
                    echo "<p> Message Failed. </p>";
                }
            }
        }

        public function verify(Request $request)
        {
            $id= Crypt::decrypt($request->route('id'));
            $users = User::where(['id'=>$id,'status'=>0])->get();
           

            if(!empty($users->toArray()))  
            {
                foreach ($users as $user)
                {
                    $userID= $user->id;
                    $email = $user->email;
                    $name = $user->name;
                    $mobile = $user->mobile;
                    
                    $code = Uniquecode::where("is_used",0)->select("unique_code")->first();
    
                    $unique_code='ID22'.$code->unique_code;
                   
                    
                    $qr_path=$this->generateQr($unique_code,"PN");
    
                    $body = [
                        'id' => $userID,
                        'name' => $name,
                        'email' => $email,
                        'mobile' => $mobile,
                        'qr_code' => $unique_code,
                        'qr_path' => $qr_path,
                    ];
             
                   // dd($body);
                    Mail::to($email)->send(new ConfirmationEmail($body));

                    $new = imagecreatefrompng($qr_path);
                    $master = imagecreatefrompng('https://live.dreamcast.in/indiadesign/public/India-Design-ID.png');
                                        
                    imagealphablending($master, false);
                    imagecopymerge($master, $new, 330, 550, 0, 0, 150, 150, 100);
                    // imagecopymerge ( resource $dst_im , resource $src_im , int $dst_x , int $dst_y , int $src_x , int $src_y , int $src_w , int $src_h , int $pct )
                    
                    $white = imagecolorallocate($master, 0, 0, 0);
                    $font = './arial.ttf';
                    imagettftext($master, 20, 0, 340, 720, $white, $font, $unique_code);
            
                   // header('Content-Type: image/png');
                    $masterImg= imagepng($master,'public/eticket/'.$unique_code.".png");

                  if($masterImg)
                  {
                    $upload_name= "indiadesign/eticket/".$unique_code.".png";
                    $eticketpath = Storage::disk('s3')->put($upload_name, file_get_contents('public/eticket/'.$unique_code.'.png'), 'public');
                    $eticketpath = Storage::disk('s3')->url($upload_name);
                    unlink('public/eticket/'.$unique_code.'.png');
              
                }
                  $this->whatsapp_rsvp_confirmation($name,$mobile,$eticketpath);
                    
                   
                    if(Mail::failures() != 0)
                    {              
                    
                        User::where('id', $user->id)->update(['confirmemail_send' => 1,'status' => 1,'qr_path'=>$qr_path,'qr_code'=>$unique_code,'eticket'=>$eticketpath]);
                        Uniquecode::where('unique_code', $code->unique_code)->update(['is_used' => 1]);
                        return redirect('/thanks');
                       // echo "<p> Message Sent. </p>";
                    }
                    else
                    {                
                        echo "<p> Message Failed. </p>";
                    }
                }
            }  
            else{
               
                return redirect('/thanks');
            }
        }

        public function generateQr($unique_code, $category)
        {
             $arr=array("$unique_code","$category");
        
          
             // $qr_save = QrCode::format('png')->generate(json_encode($arr), 'public/qrcodes/'.$unique_code.'.png','image/png');
              $document = QrCode::format('png')->margin(2)->size(150)->backgroundColor(255, 255, 255)->generate(json_encode($arr));
            
              //$qr_save = QrCode::format('png')->merge('https://live.dreamcast.in/indiadesign/public/qrcodes/'.$code.'.png', .3, true)->generate();
             // $document ='/home/dreamcast/live.dreamcast.in/indiadesign/public/qrcodes/'.$unique_code.'.png';
             // $document = File::get($document);

              //sdd($document);
             // $document = $document->file('image');
             // $document_name = $document->getClientOriginalName();
              $upload_name= "indiadesign/qrcodes/".$unique_code.".png";
              $document_path = Storage::disk('s3')->put($upload_name, $document, 'public');
              $document_path = Storage::disk('s3')->url($upload_name);
           
              return $document_path;
        }

        public function register_whatsapp($name,$mobile,$userID)
        {
               // echo $mobile; die();

                    $curl = curl_init();
                    curl_setopt_array($curl, array(
                      CURLOPT_URL => 'https://api.interakt.ai/v1/public/message/',
                      CURLOPT_RETURNTRANSFER => true,
                      CURLOPT_ENCODING => '',
                      CURLOPT_MAXREDIRS => 10,
                      CURLOPT_TIMEOUT => 0,
                      CURLOPT_FOLLOWLOCATION => true,
                      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                      CURLOPT_CUSTOMREQUEST => 'POST',
                      CURLOPT_POSTFIELDS =>'{
                        "countryCode": "+91",
                        "phoneNumber": "'.$mobile.'",
                        "callbackData": "https://indiadesignid.com/",
                        "type": "Template",
                        "template": {
                            "name": "rsvp_preview_night_9x",
                            "languageCode": "en",
                            "bodyValues": [
                                "'.$name.'"
                            ],
                            "buttonValues" : {
                                "0" : [
                                    "'.$userID.'"
                               ]
                           }
                        }
                    }',
                      CURLOPT_HTTPHEADER => array(
                        'Authorization: Basic N2t6c29fZ1FsTk1haUtwOTQ4SGQzVTdfT3dOX1g3aHYwODJQYUJQYjhIZzo=',
                        'Content-Type: application/json',
                        'Cookie: ApplicationGatewayAffinity=a8f6ae06c0b3046487ae2c0ab287e175; ApplicationGatewayAffinityCORS=a8f6ae06c0b3046487ae2c0ab287e175'
                      ),
                    ));

                    $response = curl_exec($curl);
                    curl_close($curl);
                   // echo $response;
        }

        public function rsvp_invitee_for_preview_night($name,$mobile,$userID)
        {
                //echo $mobile; die();

                    $curl = curl_init();
                    curl_setopt_array($curl, array(
                      CURLOPT_URL => 'https://api.interakt.ai/v1/public/message/',
                      CURLOPT_RETURNTRANSFER => true,
                      CURLOPT_ENCODING => '',
                      CURLOPT_MAXREDIRS => 10,
                      CURLOPT_TIMEOUT => 0,
                      CURLOPT_FOLLOWLOCATION => true,
                      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                      CURLOPT_CUSTOMREQUEST => 'POST',
                      CURLOPT_POSTFIELDS =>'{
                        "countryCode": "+91",
                        "phoneNumber": "'.$mobile.'",
                        "callbackData": "https://indiadesignid.com/",
                        "type": "Template",
                        "template": {
                            "name": "rsvp_preview_night_9x",
                            "languageCode": "en",
                            "bodyValues": [
                                "'.$name.'"
                            ],
                            "buttonValues" : {
                                "0" : [
                                    "'.$userID.'"
                               ]
                           }
                        }
                    }',
                      CURLOPT_HTTPHEADER => array(
                        'Authorization: Basic N2t6c29fZ1FsTk1haUtwOTQ4SGQzVTdfT3dOX1g3aHYwODJQYUJQYjhIZzo=',
                        'Content-Type: application/json',
                        'Cookie: ApplicationGatewayAffinity=a8f6ae06c0b3046487ae2c0ab287e175; ApplicationGatewayAffinityCORS=a8f6ae06c0b3046487ae2c0ab287e175'
                      ),
                    ));

                    $response = curl_exec($curl);
                    curl_close($curl);
                   // echo $response;
        }

        public function whatsapp_rsvp_confirmation($name,$mobile,$eticketpath)
        {
                //echo $mobile; die();

                    $curl = curl_init();
                    curl_setopt_array($curl, array(
                      CURLOPT_URL => 'https://api.interakt.ai/v1/public/message/',
                      CURLOPT_RETURNTRANSFER => true,
                      CURLOPT_ENCODING => '',
                      CURLOPT_MAXREDIRS => 10,
                      CURLOPT_TIMEOUT => 0,
                      CURLOPT_FOLLOWLOCATION => true,
                      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                      CURLOPT_CUSTOMREQUEST => 'POST',
                      CURLOPT_POSTFIELDS =>'{
                        "countryCode": "+91",
                        "phoneNumber": "'.$mobile.'",
                        "callbackData": "some text here",
                        "type": "Template",
                        "template": {
                            "name": "abcd_test",
                            "languageCode": "en",
                            "headerValues": [
                                "'.$eticketpath.'"
                            ],
                            "bodyValues": [
                                "'.$name.'"
                            ]
                        }
                    }',
                      CURLOPT_HTTPHEADER => array(
                        'Authorization: Basic N2t6c29fZ1FsTk1haUtwOTQ4SGQzVTdfT3dOX1g3aHYwODJQYUJQYjhIZzo=',
                        'Content-Type: application/json',
                        'Cookie: ApplicationGatewayAffinity=a8f6ae06c0b3046487ae2c0ab287e175; ApplicationGatewayAffinityCORS=a8f6ae06c0b3046487ae2c0ab287e175'
                      ),
                    ));

                    $response = curl_exec($curl);
                    curl_close($curl);
                   // dd($response);                    
        }

        /* RSVP General  */

        public function sendReminderEmail2(Request $request)
        {
            // exit('sendReminderEmail');            

            //$users = User::where('email', 'mohan@dreamcast.in') 
            $users = User::where(['category'=> 2,"status"=>0,"email_send"=>0])
                    ->get();

            // dd($users);

                     

            foreach ($users as $user)
            {
                $userID= Crypt::encrypt($user->id);
                $email = $user->email;
                $name = $user->name;
                $mobile = $user->mobile;
         
                $body = [
                    'id' => $userID,
                    'name' => $name,
                    'email' => $email,
                    'mobile' => $mobile,
                ];
         
               // dd($body);
                Mail::to($email)->send(new ReminderEmail2($body));

                $this->rsvp_general($name,$mobile,$userID);
                
                User::where('id', $user->id)->update(['email_send' => 1]);

                if(Mail::failures() != 0)
                {                
                    echo "<p> Message Sent. </p>";
                }
                else
                {                
                    echo "<p> Message Failed. </p>";
                }
            }
        }

        public function verification(Request $request)
        {
            $id= Crypt::decrypt($request->route('id'));
            $users = User::where(['id'=>$id]) 
            ->first();
           
            if($users->status == 0)  
            {
                $userID= Crypt::encrypt($users->id);
                    $body = [
                        'id' => $userID,
                    ];
                Session::put('userhasid', $users->id);
                return view('emails.verification');
            }
            else 
            {
                Session::put('userhasid', $users->id);
                return redirect('response/'.$users->status);
               // return view('emails.response', ['body' =>$body]);
            }
        }

        public function response(Request $request)
        {
           // dd(Session::get('userhasid'));
            $status = $request->route('status');
            $id = Session::get('userhasid');
            $users = User::where('id', $id) 
            ->first();
            
            $body = [
                    'status' => $status,
                ];

                User::where('id', $users->id)->update(['status' => $status]);
                Session::forget('userhasid');
                return view('emails.response', ['body' =>$body ]);
        }

        public function rsvp_general($name,$mobile,$userID)
        {
                //echo $mobile; die();

                    $curl = curl_init();
                    curl_setopt_array($curl, array(
                      CURLOPT_URL => 'https://api.interakt.ai/v1/public/message/',
                      CURLOPT_RETURNTRANSFER => true,
                      CURLOPT_ENCODING => '',
                      CURLOPT_MAXREDIRS => 10,
                      CURLOPT_TIMEOUT => 0,
                      CURLOPT_FOLLOWLOCATION => true,
                      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                      CURLOPT_CUSTOMREQUEST => 'POST',
                      CURLOPT_POSTFIELDS =>'{
                        "countryCode": "+91",
                        "phoneNumber": "'.$mobile.'",
                        "callbackData": "https://indiadesignid.com/",
                        "type": "Template",
                        "template": {
                            "name": "rsvp_general_x4",
                            "languageCode": "en",
                            "bodyValues": [
                                "'.$name.'"
                            ],
                            "buttonValues" : {
                                "0" : [
                                    "'.$userID.'"
                               ]
                           }
                        }
                    }',
                      CURLOPT_HTTPHEADER => array(
                        'Authorization: Basic N2t6c29fZ1FsTk1haUtwOTQ4SGQzVTdfT3dOX1g3aHYwODJQYUJQYjhIZzo=',
                        'Content-Type: application/json',
                        'Cookie: ApplicationGatewayAffinity=a8f6ae06c0b3046487ae2c0ab287e175; ApplicationGatewayAffinityCORS=a8f6ae06c0b3046487ae2c0ab287e175'
                      ),
                    ));

                    $response = curl_exec($curl);
                    curl_close($curl);
                   // echo $response;
        }
    }
?>