<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use Carbon\Carbon;
use App\Models\User;
use App\Models\WhatsAppAutomation;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\File;
use Storage, DB;



class WhatsAppAutomationController extends Controller
{
    public function __construct()
    {
        $this->now = Carbon::now();
    }

    public function registration_message()
    {
        // echo $mobile; die();

        /*$user = User::select('id','name','country_code','phone','eticket_path')->where('status', 1)->where('sent_whatsapp_conf', 0)->limit(10)->get();

        if($user)
        {
            $id=array();
            foreach ($user as $data)
            {*/
                $curl = curl_init();
                curl_setopt_array($curl, array(
                    CURLOPT_URL => 'https://api.interakt.ai/v1/public/message/',
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => '',
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 0,
                    CURLOPT_FOLLOWLOCATION => true,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => 'POST',
                    CURLOPT_POSTFIELDS =>'{
                        "countryCode": "+91",
                        "phoneNumber": "7597579953",
                        "callbackData": "Gourmet fest 2022",
                        "type": "Template",
                        "template": {
                            "name": "firefox_sample",
                            "languageCode": "en",
                            "bodyValues": [
                                " Ritesh, Test msg here!"
                            ]
                           }   
                    }',
                    CURLOPT_HTTPHEADER => array(
                        'Authorization: Basic SXpwMGxwUDVuUlhxMEZ3ZWlzTzJHTXFWbU9LVGE0M0tSUHVQQ2Z6MWxObzo=',
                        'Content-Type: application/json',
                        'Cookie: ApplicationGatewayAffinity=a8f6ae06c0b3046487ae2c0ab287e175; ApplicationGatewayAffinityCORS=a8f6ae06c0b3046487ae2c0ab287e175'
                    ),
                ));

                $response = curl_exec($curl);
                curl_close($curl);
                echo $response;

            /*    $id[]=$data['id'];

            }

            User::whereIn('id', $id)->update(['sent_whatsapp_conf' => 1]);

        }*/



    }

    public function WhatsAppCallBackUrl(Request $request)
    {
        $log_data = $request->all();

        if(!empty($log_data))
        {
            $whatsAppAutomation = new WhatsAppAutomation();
            $data = [
                'template_id' => $log_data["data"]["message"]["template_id"],
                'message_id' => $log_data["data"]["message"]["id"],
                'template_name' => $log_data["data"]["message"]["template_name"],
                'channel_phone_number' => $log_data["data"]["customer"]["channel_phone_number"],
                'traits' => json_encode($log_data["data"]["customer"]["traits"]),
                'message' => json_encode($log_data["data"]["message"]),
                'meta_data' => json_encode($log_data["data"]["message"]["meta_data"]),
                'received_at_utc' => $log_data["data"]["message"]["received_at_utc"],
                'delivered_at_utc' => $log_data["data"]["message"]["delivered_at_utc"],
                'seen_at_utc' => $log_data["data"]["message"]["seen_at_utc"],
                'status' =>  $log_data["data"]["message"]["message_status"],
                'is_template_message' => $log_data["data"]["message"]["is_template_message"],
                'logs' => json_encode($log_data),
                'type' => $log_data["type"],
                'for_date' => date('Y-m-d'),
                'callbackData' => $log_data["data"]["message"]["meta_data"]["source_data"]["callback_data"],
                'error_code' =>$log_data["data"]["message"]["channel_error_code"],
                'error_msg' => $log_data["data"]["message"]["channel_failure_reason"],
                'created_at' => $this->now,
                'updated_at' =>$this->now

            ];

            $result = WhatsAppAutomation::create($data);


        }


    }




}

?>