<?php
namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class RegistrationSummaryEmail extends Mailable
{
    use Queueable, SerializesModels;

    /**
        * Create a new message instance.
        *
        * @return void
    */   

    public $body;

    public function __construct($body)
    {
        $this->body = $body;
    }

    /**
        * Build the message.
        *
        * @return $this
    */

    public function build()
    {
		$mail = $this->from("noreply@dreamcastmail.co", "MMA IMPACT India")
					->view('emails/registration-email')
					->subject($this->body->subject)
					->with('body', $this->body->body);
		if (!empty($this->body->eticket_path)) {
			$mail->attach($this->body->eticket_path);
		}

		return $mail; 
    }
}