<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VolunteerRegistration extends Model
{
    public $table = "volunteer_registrations";
    use HasFactory;

    public $fillable = [
        'name',
        'email', 
        'dob', 
        'country',
        'state',
        'city',
        'user_role',
        'country_code',
        'phone',
        'alt_country_code',
        'alt_phone',
        'address',
        'volunteered_festival',
        'festival_worked',
        'languages',
        'qualification',
        'work_experience',
        'means_to_you',
        'one_topic_to_chose',
        'topic_description',
        'volunteer_situations_chose',
        'volunteer_situation_description',
        'shirt_size',
        'personal_id',
        'image_url_id_proof',
        'image_url_profilepic',
        'image_url_vaccinecertificate',
        'status',
        'created_at',
        'updated_at',
    ];
}
