<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class WhatsAppAutomation extends Model
{
    use HasFactory;

    public $table = "whatsapp_logs";

    protected $fillable = [
        'template_id',
        'message_id',
        'template_name',
        'is_template_message',
        'channel_phone_number',
        'traits',
        'message',
        'meta_data',
        'received_at_utc',
        'delivered_at_utc',
        'seen_at_utc',
        'received_status',
        'delivered_status',
        'seen_status',
        'logs',
        'type',
        'for_date',
        'status',
        'body',
        'callbackData',
        'error_code',
        'error_msg',
        'created'
    ];



}
