<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use DB;
use View, Cookie;
use Illuminate\Pagination\Paginator;
use App\Models\Interfaces;


class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */

    public function boot()
    {
        $master_setting['currentURL'] = last(request()->segments());

        $master_setting['currentURL'] = request()->segments();
        $settings = DB::table('events')->where('id', 1)->first();

        $master_setting['settings'] = $settings;

        $interface_list = DB::table('user_types')->where('type', 'Interface')->get();

        $ticket_list = DB::table('tickets')->where('status', 1)->pluck('category', 'slug');


        View::share('master_setting', $master_setting);
        View::share('interface_list', $interface_list);
        View::share('ticket_list', $ticket_list);
    }


    public function register()
    {
        //
    }


}
