<?php
	if(isset($_GET['search'])) {
		$search = $_GET['search'];
	}
	else {
		$search = '';
	}

	if(isset($_GET['search_type'])) {
		$search_type = $_GET['search_type'];
	}
	else {
		$search_type = '';
	}

	if(isset($_GET['search_status']) && $search_type == 'status') {
		$search_status = $_GET['search_status'];
	}
	else {
		$search_status = '';
	}

	if(isset($_GET['reportrange_date']) && $_GET['reportrange_date'] != '') {
		$reportrange_date = $_GET['reportrange_date'];
	}
	else {
		$reportrange_date = 'Choose Date';
	}
?>

<style>
	.dropdown-date .dropdown-toggle{padding-top: 5px;padding-bottom: 5px;margin-bottom: 0;}
	.dropdown-date .dropdown-toggle.datefilter{width: auto;}
	.serach_type_txt .form-control {max-width: 200px;}
	.hide{ display: none !important; }
</style>

<form action="{{route('volunteers')}}" method="GET" >
	<div class="card p-3 mb-3">
		<div class="d-flex justify-content-between flex-wrap">
			<div class="d-flex filter-drops flex-wrap dropdown-date">
				<select class="dropdown btn btn-default dropdown-toggle" name="search_type" onchange="chooseSearchType(this.value)">
					<option value="user_name" <?php if($search_type == 'user_name'){echo "selected";} ?>> Name </option>
					<option value="email" <?php if($search_type == 'email'){echo "selected";} ?>> Email </option>
					<option value="phone" <?php if($search_type == 'phone'){echo "selected";} ?>> Phone </option>
					<option value="status" <?php if($search_type == 'status'){echo "selected";} ?>> Status </option>
					<option value="datewise" <?php if($search_type == 'datewise'){echo "selected";} ?>> Date </option>
				</select>

				<div class="serach_type d-flex">
					<div class="serach_type_txt mr-3 <?php if($search_type == 'status' || $search_type == 'datewise') {echo "hide";} ?>">
						<input type="text" name="search" class="form-control" value="{{$search}}" placeholder="Enter your keyword...">
					</div>
					<div class="serach_type_drop_down <?php if($search_type != 'status') {echo "hide";} ?>">
						<select class="dropdown btn btn-default dropdown-toggle" name="search_status">
							<option value=""> Choose Status </option>
							<option value="approve" <?php if($search_status == 'approve'){echo "selected";} ?>> Approved </option>
							<option value="pending" <?php if($search_status == 'pending'){echo "selected";} ?>> Pending </option>							
						</select>
					</div>
				</div>

				<div class="d-flex dropdown btn btn-default dropdown-toggle align-items-center datefilter <?php if($search_type != 'datewise') {echo "hide";} ?>" id="reportrange" style="background: #f1f1f1; cursor: pointer; padding: 5px 30px 5px 10px;">
				    <i class="fas fa-calendar"></i>&nbsp;
				    <span> <?php echo $reportrange_date ?> </span>
				    <input type="hidden" name="reportrange_date" value="<?php echo $reportrange_date ?>">
				</div>				
			</div>

			<div class="btns-box align-items-right">
				<a href="{{route('volunteers')}}" class="btn btn-light"> <span class="fas fa-times"></span> Clear </a>				
				<button type="submit" class="btn btn-main">Search</button>
			</div>
		</div>
	</div>
</form>