@extends('admin.layouts.master')
@section('content')
<div class="container">
   <div class="d-flex justify-content-between mb-3 flex-wrap">
      <div class="d-flex">
         <h2 class="heading mb-0">Edit Email Template</h2>
      </div> 
   </div>
   <!-- Form -->
   <div class="row">
      <div class="col-lg-8">
         <div class="panel-group" id="accordion">
            <div class="panel panel-default">
               <div class="panel-heading">
                  <h4 class="panel-title">
                     <a data-toggle="collapse" data-parent="#accordion" href="#collapse1" class="sub-heading black">Step 1 Information <span class="fas fa-chevron-down"></span></a>
                  </h4>
               </div>
               <div id="collapse1" class="panel-collapse collapse in show" data-parent="#accordion">
			 <form id="emailDetails" method="post" enctype="multipart/form-data">
				@csrf
                  <div class="panel-body">
                     <div class="field-box">
                        <label class="label">Label<span style="color:red;">*</span></label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
						   <input type="text" class="form-control input-box" value="{{ $email_data->label ?: '' }}" placeholder="Label" name="label">
						<input type="hidden" value="{{ $email_data->id ?: '' }}" name="id">
                        </div>
                     </div>
                     <div class="field-box">
                        <label class="label">Subject<span style="color:red;">*</span></label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
                           <input type="text" class="form-control input-box" value="{{ $email_data->subject ?: '' }}" placeholder="Subject" name="subject">
                           
                        </div>
                     </div>
                     <div class="field-box">
                        <label class="label">Eticket Path</label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
                           <input type="text" class="form-control input-box" value="{{ $email_data->eticket_path ?: '' }}" placeholder="Eticket Path" name="eticket_path">
                           
                        </div>
                     </div>
                     <div class="field-box">
                        <label class="label">Content</label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
						   <textarea class="form-control input-box event-des-textarea" id="event-des-textarea" name="body" placeholder="Type Here..">{{$email_data->body}}</textarea>
                        </div>
                     </div> 
                     <!--<div class="field-box">
                        <label class="label">Reply to Name</label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
						   <input type="text" class="form-control input-box" value="{{ $email_data->reply_to_name ?: '' }}" placeholder="Reply to Name" name="reply_to_name">
                        </div>
                     </div> 
                     <div class="field-box">
						<label class="label">Reply to E-Mail</label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
							<input type="text" class="form-control input-box" value="{{ $email_data->reply_to_email ?: '' }}" placeholder="Reply to E-Mail" name="reply_to_email">
                        </div>
                     </div> 
                     <div class="field-box">
						<label class="label">CC Name</label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
							<input type="text" class="form-control input-box" value="{{ $email_data->cc_name ?: '' }}" placeholder="CC Name" name="cc_name">
                        </div>
                     </div> 
                     <div class="field-box">
						<label class="label">CC E-Mail</label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
							<input type="text" class="form-control input-box" value="{{ $email_data->cc_email ?: '' }}" placeholder="CC E-Mail" name="cc_email">
                        </div>
                     </div> 
                     <div class="field-box">
						<label class="label">BCC Name</label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
							<input type="text" class="form-control input-box" value="{{ $email_data->bcc_name ?: '' }}" placeholder="BCC Name" name="bcc_name">
                        </div>
                     </div> 
                     <div class="field-box">
						<label class="label">BCC E-Mail</label>
                        <div class="inp-box">
                           <img class="drag-icon" src="{{ asset('public/images/drag_icon.svg') }}">
							<input type="text" class="form-control input-box" value="{{ $email_data->bcc_email ?: '' }}" placeholder="BCC E-Mail" name="bcc_email">
                        </div>
                     </div>--> 
                     <div class="field-box">
						<fieldgroup class="wrapper">
							<div class="toggle_radio">
								<input type="radio" class="toggle_option" id="first_status" name="status" 
								{{$email_data->status == '1' ? 'checked' : ''}}
								value="1">
								<label class="toggle_label" for="first_status">Active</label>
								<input type="radio" class="toggle_option" id="second_status" name="status" value="0" {{$email_data->status == '0' ? 'checked' : ''}}>
								<label class="toggle_label" for="second_status">Draft</label>
								<div class="toggle_option_slider">
								</div>
							</div>
						</fieldgroup>
                     </div> 
					<div class="form-actions">
						<button type="button" class="btn btn-main submit-btn"> Submit</button>
					</div>
                  </div>
				</form>
               </div>
            </div> 
         </div>
      </div>
      <div class="col-lg-4">
         <ul class="input-list"> 
			<li>
				<div class="title-with-icon">Event Name</div>
				<button type="button" class="btn btn-add-input">##TITLE##</button>
			</li>    
			<li>
				<div class="title-with-icon">Event Logo</div>
				<button type="button" class="btn btn-add-input">##SITE_LOGO##</button>
			</li>
			<li>
				<div class="title-with-icon">Event Date</div>
				<button type="button" class="btn btn-add-input">##EVENT_DATE##</button>
			</li>
			<li>
				<div class="title-with-icon">Event Time</div>
				<button type="button" class="btn btn-add-input">##EVENT_TIME##</button>
			</li>
			<li>
				<div class="title-with-icon">Event Address</div>
				<button type="button" class="btn btn-add-input">##EVENT_ADDRESS##</button>
			</li>
			<li>
				<div class="title-with-icon">Banner Image</div>
				<button type="button" class="btn btn-add-input">##BANNER_IMAGE##</button>
			</li>
			<li>
				<div class="title-with-icon">Site Link</div>
				<button type="button" class="btn btn-add-input">##SITE_LINK##</button>
			</li>
			<li>
				<div class="title-with-icon">Name</div>
				<button type="button" class="btn btn-add-input">##NAME##</button>
			</li>
			<li>
				<div class="title-with-icon">Username (As Login ID)</div>
				<button type="button" class="btn btn-add-input">##USERNAME##</button>
			</li>
			<li>
				<div class="title-with-icon">Password (As Login Password)</div>
				<button type="button" class="btn btn-add-input">##PASSWORD##</button>
			</li>
			<li>
				<div class="title-with-icon">Package Name</div>
				<button type="button" class="btn btn-add-input">##PACKAGE_NAME##</button>
			</li>
			<li>
				<div class="title-with-icon">Ticket Qty</div>
				<button type="button" class="btn btn-add-input">##TICKET_QTY##</button>
			</li>
			<li>
				<div class="title-with-icon">Currency</div>
				<button type="button" class="btn btn-add-input">##CURRENCY##</button>
			</li>
			<li>
				<div class="title-with-icon">Total</div>
				<button type="button" class="btn btn-add-input">##TOTAL##</button>
			</li>
			<li>
				<div class="title-with-icon">Sub Total</div>
				<button type="button" class="btn btn-add-input">##SUB_TOTAL##</button>
			</li>
			<li>
				<div class="title-with-icon">Discount Price</div>
				<button type="button" class="btn btn-add-input">##DISCOUNT_PRICE##</button>
			</li>
			<li>
				<div class="title-with-icon">Ticket Name</div>
				<button type="button" class="btn btn-add-input">##TICKET_NAME##</button>
			</li>
			<li>
				<div class="title-with-icon">Festival Dates</div>
				<button type="button" class="btn btn-add-input">##FESTIVAL_DATES##</button>
			</li>
			<li>
				<div class="title-with-icon">Eticket Path</div>
				<button type="button" class="btn btn-add-input">##ETICKET_PATH##</button>
			</li>
         </ul>
      </div>
   </div>
</div>
@endsection

@push('custom-scripts')
<script type="text/javascript">
CKEDITOR.replace( 'event-des-textarea' );
$(document).on('click','.submit-btn', function (e) {
	var form = $('#emailDetails')[0];
	var formData = new FormData(form); 
	formData.append("body",CKEDITOR.instances['event-des-textarea'].getData());
	$.ajax({
		type:'POST',				
		url: "{{route('email-store')}}",
		data:formData,
		contentType: false,
		processData: false,
		success:function(response)
		{
			if(response.status == false){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error(response.message);
			}else if(response.status == true){ 
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.success(response.message); 
				window.setTimeout( function(){
					 window.location = "{{route('emails')}}";
				}, 3000 );
			}else if (response.error) {
				$.each(response.error, function( key, value ) {
					toastr.options = {"positionClass": "toast-bottom-right"};
					toastr.error(value);
				}); 
			}
		},
	
	});
	e.preventDefault();
});
</script>
@endpush