@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('interfaces', ['interface_id' => $interface_id])}}">{{$title}}</a></li>
                <li class="breadcrumb-item"><span>View</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
                
                <div class="row">
                    @foreach($interface_form_data as $key => $value)
                    @php $field_name = $value->field_name; @endphp
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">{{$value->field_title}}</label> <br>
                        <strong>{{$user_data->$field_name}}</strong>
                    </div>
                    @endforeach
                </div>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')

@endpush