<!-- interface data count -->
<div class="org-cff d-flex justify-content-between align-items-center mb-3">
    <div class="d-flex align-items-center">
        <h2 class="semi-20 m-0">Zapping : </h2>
    </div>
    <div>
        <p class="mb-0">Total Footfall / Unique Footfall</p>
        <h2 class="semi-20 m-0 text-center"><a href="{{route('onground-dashboard-exportAllZappingReport')}}">{{$total_zapping_count}} / {{$total_unique_count}}</a></h2>
    </div>
</div>
@foreach($zapping_data as $key => $value)
<p>Location : <strong>{{$key}}</strong></p>
<div class="row dashboard-stat-outer dso-top mt-0">
    @foreach($value as $key2 => $value2)
    <div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 loder-sec">
        <div class="dashboard-stat2  stat-multiple">
            <div class="display">
                <!-- <div class="icon">
                    <img class="" src="{{url('/')}}/public/admin/assets/images/tickets_icon.svg">
                </div> -->
                <div class="number">
                    <small class="crd-heding">{{$key2}}</small>
                    <div class="stat-double">
                        <div class="stat-single">
                            <h3 class=""><a href="{{route('onground-dashboard-exportZappingReport', ['location' => $key, 'category' => $key2])}}">{{$value2['total']}}</a></h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endforeach
</div>
@endforeach

@if(!empty($hourly_zapping))
<p><strong>Hourly Report</strong></p>
<div class="row">
    <div class="col-12">

        <table class="table user_datatable">
            <thead>
                <tr>
                    <th>From</th>
                    <th>Till</th>
                    <th>Count</th>
                </tr>
            </thead>
            <tbody>
                @foreach($hourly_zapping as $key => $value)
                <tr>
                    <td>{{$value->hour}}</td>
                    <td>{{$value->hour_end}}</td>
                    <td>{{$value->totalNumber}}</td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endif