@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('permissions')}}">Permissions</a></li>
                <li class="breadcrumb-item"><span>View</span></li>
            </ul>
        </div>
    </div>
    <div class="row">

        <div class="col-md-6 form-group">
            <label>Role</label>
            <p><strong>{{$user_details->role}}</strong></p>
        </div>
        <div class="col-md-6 form-group">
            <label>Username</label>
            <p><strong>{{$user_details->email}}</strong></p>
        </div>
        @if(!empty($user_details->permissions))
        <div class="col-md-6 form-group">
            <label>Permissions</label>
            <p><strong>
            @php $permissions = json_decode($user_details->permissions, true); @endphp
            @if(!empty($permissions))
                @foreach($permissions as $key => $value)
                    @if($key === "Sales Report")
                        @foreach($value as $key2 => $value2)
                        Sales Report/{{$value2}}
                        </br>
                        @endforeach
                    @elseif($key === "Attendees")
                        @foreach($value as $key2 => $value2)
                        Attendees/{{$value2}}
                        </br>
                        @endforeach
                    @elseif($key === "Interfaces")
                        @foreach($value as $key2 => $value2)
                        Interfaces/{{$value2}}
                        </br>
                        @endforeach
                    @else
                        {{$value}}
                        </br>
                    @endif
                @endforeach
            @endif

            </strong></p>
        </div>
        @endif

    </div>
</div>
@endsection