<style>
	.dropdown-date .dropdown-toggle{padding-top: 5px;padding-bottom: 5px;margin-bottom: 0;}
	.dropdown-date .dropdown-toggle.datefilter{width: auto;}
	.serach_type_txt .form-control {max-width: 200px;}
	.hide{ display: none !important; }
</style>

<form action="{{route('salesreporting-advanceFilter')}}" method="POST" id="filter-form">
	@csrf
	<input type="hidden" name="slug" value="{{$slug}}">
	<div class="card p-3 mb-3">
		<div class="d-flex justify-content-between mb-2 flex-wrap">
			<div class="toggle-btn-text d-flex align-items-center">
				<span class="med-14">Search Data by</span>
				
				<div class="button-switch">
					<input type="checkbox" name="search_type" id="switch-blue" class="switch" value="All" @if(isset($_SESSION['advance_search_filter']['search_type']) && $_SESSION['advance_search_filter']['search_type'] == 'All'){{'checked'}}@endif>
					<label for="switch-blue" class="lbl-off">Any</label>
					<label for="switch-blue" class="lbl-on">All</label>
				</div>
				<span class="med-14">Of the following</span>
			</div>
			<div class="btns-box">
				<a href="{{route('salesreporting-reportingLists').'/'.$slug}}" class="btn btn-light"><span class="fas fa-times"></span> Clear</a>
				<button type="submit" class="btn btn-main">Search</button>
				@if(!empty($_SESSION['export_advance_search_filter']))
				<a href="{{route('salesreporting-exportAdvanceFilterData')}}" target="_blank" class="btn btn-main export-btn">Export</a>
				@endif
				<!-- <button type="button" class="btn btn-main export-btn">Export</button> -->
			</div>
		</div>
		<div class="search-form">
			
			<div class="d-flex filter-drops flex-wrap searchform search1">
				<div class="dropdown dropdown-date">
					<select class="dropdown btn btn-default dropdown-toggle search_field" name="search_field[]" data-itemnum="1">
						<option value=""> Select Filter </option>
						<option value="name" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'name'){{'selected'}}@endif> Name </option>
						<option value="email" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'email'){{'selected'}}@endif> Email </option>
						<option value="phone" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'phone'){{'selected'}}@endif> Phone </option>
						<option value="transaction_id" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'transaction_id'){{'selected'}}@endif> Transaction ID </option>
						<option value="payment_gateway" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'payment_gateway'){{'selected'}}@endif> Payment Gateway </option>
						<option value="order_id" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'order_id'){{'selected'}}@endif> Order ID </option>
						<option value="date" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'date'){{'selected'}}@endif> Date </option>
					</select>
				</div>
				<div class="dropdown dropdown-date select-date-type" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'date') style="display:block;" @else style="display:none;" @endif>
					<select class="dropdown btn btn-default dropdown-toggle date_type" name="date_type[]" data-itemnum="1">
						<option value=""> Select </option>
						<option value="between" @if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][0] == 'between'){{'selected'}}@endif> Between </option>
						<option value="equal_to" @if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][0] == 'equal_to'){{'selected'}}@endif> Equal To </option>
					</select>
				</div>
				<div class="dropdown dropdown-date select-paymnet-gateway" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'payment_gateway') style="display:block;" @else style="display:none;" @endif>
					<select class="dropdown btn btn-default dropdown-toggle payment_gateway" name="payment_gateway[]">
						<option value=""> Select </option>
						<option value="Paypal" @if(isset($_SESSION['advance_search_filter']['payment_gateway']) && $_SESSION['advance_search_filter']['payment_gateway'][0] == 'Paypal'){{'selected'}}@endif> Paypal </option>
						<option value="ccavenue" @if(isset($_SESSION['advance_search_filter']['payment_gateway']) && $_SESSION['advance_search_filter']['payment_gateway'][0] == 'ccavenue'){{'selected'}}@endif> Ccavenue </option>
						<option value="Razorpay" @if(isset($_SESSION['advance_search_filter']['payment_gateway']) && $_SESSION['advance_search_filter']['payment_gateway'][0] == 'Razorpay'){{'selected'}}@endif> Razorpay </option>
					</select>
				</div>
				<div class="dropdown dropdown-date start-date-sec" @if(isset($_SESSION['advance_search_filter']['date_type']) && ($_SESSION['advance_search_filter']['date_type'][0] == 'between' || $_SESSION['advance_search_filter']['date_type'][0] == 'equal_to')) style="display:block;" @else style="display:none;" @endif>
					<input class="dropdown btn btn-default dropdown-toggle" name="start_date[]" type="date" value="@if(isset($_SESSION['advance_search_filter']['start_date']) && $_SESSION['advance_search_filter']['start_date'][0] != ''){{$_SESSION['advance_search_filter']['start_date'][0]}}@endif" />
				</div>
				<div class="dropdown dropdown-date end-date-sec" @if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][0] == 'between') style="display:block;" @else style="display:none;" @endif>
					<input class="dropdown btn btn-default dropdown-toggle" name="end_date[]" type="date" value="@if(isset($_SESSION['advance_search_filter']['end_date']) && $_SESSION['advance_search_filter']['end_date'][0] != ''){{$_SESSION['advance_search_filter']['end_date'][0]}}@endif" />
				</div>
				<div class="dropdown dropdown-date input-sec" @if(isset($_SESSION['advance_search_filter']['input_value']) && $_SESSION['advance_search_filter']['input_value'][0] != '') style="display:block;" @else style="display:none;" @endif>
					<input class="dropdown btn btn-default dropdown-toggle" name="input_value[]" type="text" placeholder="Search here.." value="@if(isset($_SESSION['advance_search_filter']['input_value']) && $_SESSION['advance_search_filter']['input_value'][0] != ''){{$_SESSION['advance_search_filter']['input_value'][0]}}@endif"/>
				</div>
			</div>

			@if(isset($_SESSION['advance_search_filter']) && count($_SESSION['advance_search_filter']['search_field']) > 1)
			@php 
				$i=1; 
				unset($_SESSION['advance_search_filter']['search_field'][0]);
			@endphp
			@foreach($_SESSION['advance_search_filter']['search_field'] as $key => $value)
			<div class="d-flex filter-drops flex-wrap searchform search{{$i+1}}">
				<button type="button" class="close remove-item" data-itemnum="{{$i+1}}">×</button>
				<div class="dropdown dropdown-date">
					<select class="dropdown btn btn-default dropdown-toggle search_field" name="search_field[]" data-itemnum="{{$i+1}}">
						<option value="date" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'date'){{'selected'}}@endif> Date </option>
						<option value="name" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'name'){{'selected'}}@endif> Name </option>
						<option value="email" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'email'){{'selected'}}@endif> Email </option>
						<option value="phone" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'phone'){{'selected'}}@endif> Phone </option>
						<option value="transaction_id" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'transaction_id'){{'selected'}}@endif> Transaction ID </option>
						<option value="payment_gateway" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'payment_gateway'){{'selected'}}@endif> Payment Gateway </option>
						<option value="order_id" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'order_id'){{'selected'}}@endif> Order ID </option>
					</select>
				</div>
				<div class="dropdown dropdown-date select-date-type" @if(isset($_SESSION['advance_search_filter']['search_field']) && ($_SESSION['advance_search_filter']['search_field'][$i] == 'date' || $_SESSION['advance_search_filter']['search_field'][$i] == '')) style="display:block;" @else style="display:none;" @endif>
					<select class="dropdown btn btn-default dropdown-toggle date_type" name="date_type[]" data-itemnum="{{$i+1}}">
						<option value=""> Select </option>
						<option value="between" @if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][$i] == 'between'){{'selected'}}@endif> Between </option>
						<option value="equal_to" @if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][$i] == 'equal_to'){{'selected'}}@endif> Equal To </option>
					</select>
				</div>
				<div class="dropdown dropdown-date select-paymnet-gateway" @if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'payment_gateway') style="display:block;" @else style="display:none;" @endif>
					<select class="dropdown btn btn-default dropdown-toggle payment_gateway" name="payment_gateway[]">
						<option value=""> Select </option>
						<option value="Paypal" @if(isset($_SESSION['advance_search_filter']['payment_gateway']) && $_SESSION['advance_search_filter']['payment_gateway'][$i] == 'Paypal'){{'selected'}}@endif> Paypal </option>
						<option value="ccavenue" @if(isset($_SESSION['advance_search_filter']['payment_gateway']) && $_SESSION['advance_search_filter']['payment_gateway'][$i] == 'ccavenue'){{'selected'}}@endif> Ccavenue </option>
						<option value="Razorpay" @if(isset($_SESSION['advance_search_filter']['payment_gateway']) && $_SESSION['advance_search_filter']['payment_gateway'][$i] == 'Razorpay'){{'selected'}}@endif> Razorpay </option>
					</select>
				</div>
				<div class="dropdown dropdown-date start-date-sec" @if(isset($_SESSION['advance_search_filter']['date_type']) && ($_SESSION['advance_search_filter']['date_type'][$i] == 'between' || $_SESSION['advance_search_filter']['date_type'][$i] == 'equal_to')) style="display:block;" @else style="display:none;" @endif>
					<input class="dropdown btn btn-default dropdown-toggle" name="start_date[]" type="date" value="@if(isset($_SESSION['advance_search_filter']['start_date']) && $_SESSION['advance_search_filter']['start_date'][$i] != ''){{$_SESSION['advance_search_filter']['start_date'][$i]}}@endif" />
				</div>
				<div class="dropdown dropdown-date end-date-sec" @if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][$i] == 'between') style="display:block;" @else style="display:none;" @endif>
					<input class="dropdown btn btn-default dropdown-toggle" name="end_date[]" type="date" value="@if(isset($_SESSION['advance_search_filter']['end_date']) && $_SESSION['advance_search_filter']['end_date'][$i] != ''){{$_SESSION['advance_search_filter']['end_date'][$i]}}@endif" />
				</div>
				<div class="dropdown dropdown-date input-sec" @if(isset($_SESSION['advance_search_filter']['input_value']) && $_SESSION['advance_search_filter']['input_value'][$i] != '') style="display:block;" @else style="display:none;" @endif>
					<input class="dropdown btn btn-default dropdown-toggle" name="input_value[]" type="text" placeholder="Search here.." value="@if(isset($_SESSION['advance_search_filter']['input_value']) && $_SESSION['advance_search_filter']['input_value'][$i] != ''){{$_SESSION['advance_search_filter']['input_value'][$i]}}@endif"/>
				</div>
			</div>
			@php $i++; @endphp
			@endforeach
			@endif
		</div>
		<div class="btn-add-filter pt-3">
			<button type="button" class="btn btn-transparent addmore-fields" >+ Add Filter</button>
		</div>
	</div>
</form>

@push('custom-scripts')
<script type="text/javascript">
	$(document).on('change', '.search_field', function(){
		var search_field = $(this).val();
		var itemnum = $(this).data('itemnum');
		var parent_class = '.search'+itemnum;
		
		if(search_field == 'name' || search_field == 'email' || search_field == 'phone' || search_field == 'transaction_id' || search_field == 'order_id') {
			$(parent_class).children('.start-date-sec').hide();
			$(parent_class).children('.end-date-sec').hide();
			$(parent_class).children('.select-date-type').hide();
			$(parent_class).children('.select-paymnet-gateway').hide();
			$(parent_class).children('.select-date-type').children('.date_type').val('');
			$(parent_class).children('.select-paymnet-gateway').children('.payment_gateway').val('');
			$(parent_class).children('.input-sec').show();
		} else if(search_field == 'payment_gateway') {
			$(parent_class).children('.start-date-sec').hide();
			$(parent_class).children('.end-date-sec').hide();
			$(parent_class).children('.select-date-type').hide();
			$(parent_class).children('.select-paymnet-gateway').show();
			$(parent_class).children('.select-date-type').children('.date_type').val('');
			$(parent_class).children('.input-sec').hide();
		} else {
			$(parent_class).children('.select-paymnet-gateway').hide();
			$(parent_class).children('.select-date-type').show();
			$(parent_class).children('.input-sec').hide();
		}
	});
	
	$(document).on('change', '.date_type', function(){
		var date_type = $(this).val();
		var itemnum = $(this).data('itemnum');
		var parent_class = '.search'+itemnum;

		if(date_type == 'between') {
			$(parent_class).children('.start-date-sec').show();
			$(parent_class).children('.end-date-sec').show();
		} else {
			$(parent_class).children('.start-date-sec').show();
			$(parent_class).children('.end-date-sec').hide();
		}
	});

	$(document).on('click','.addmore-fields', function(e)
    {
		$(this).attr('disabled', true);
        var numItems = $('.search_field').last().data('itemnum');
        if(numItems != '') {
			$.ajaxSetup({
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				}
			});

			$.ajax({
				type:'GET',
				url: "{{route('salesreporting-advanceFilter-addmore')}}",
				data:{numItems:numItems},
				success:function(response)
				{
					$('.search-form').append(response);
					$('.addmore-fields').attr('disabled', false);
				},
			});
			e.preventDefault();
		}
    });

	/* $(document).on('click','.export-btn', function(e)
    {
		var form = $('#filter-form')[0];
        var formData = new FormData(form);

		$.ajaxSetup({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			}
		});
		$.ajax({
			type:'POST',
			url: "{{route('salesreporting-exportAdvanceFilterData')}}",
			data:formData,
            processData: false,
            contentType: false,
			success:function(response)
			{
				//
			},
		});
		e.preventDefault();
    }); */

	$(document).on('click','.remove-item', function()
	{
		var numItems = $(this).data('itemnum');
		$('.search'+numItems).remove();
	});
 
</script>
@endpush