
<div class="modal-content">

<!-- Modal Header -->
<div class="modal-header">
    <h1 class="modal-title">Order Summary</h1>
</div>

<!-- Modal body -->
<div class="modal-body">
    <div class="row mb-adj">
        <div class="col-md-12">
            @if(!empty($users_data))
                @foreach($users_data as $key => $value)
                <h5>{{$value->ticket_name}}</h5>
                <div class="card p-2">
                    <div class="d-md-flex align-items-center order-list-item">Name : {{$value->name.' '.$value->last_name}}</div>
                    <div class="d-md-flex align-items-center order-list-item">Email : {{$value->email}}</div>
                    <div class="d-md-flex align-items-center order-list-item">Phone : {{$value->country_code.' '.$value->phone}}</div>
                    <div class="d-md-flex align-items-center order-list-item">Festival Dates : {{$value->festival_dates}}</div>
                    <div class="d-md-flex align-items-center order-list-item"><strong>Booking Amount : {{$master_setting['settings']->Currency.' '.$value->price}}</strong></div>
                </div>
                <br>
                @endforeach
            @endif
            
            <div class="card p-2">
                @if($order_data->discount_price != '')
                <div class="d-md-flex align-items-center order-list-item">Sub Total : {{$master_setting['settings']->Currency.' '.$order_data->sub_total}}</div>
                <div class="d-md-flex align-items-center order-list-item" style="color:red;">Discount : -{{$master_setting['settings']->Currency.' '.$order_data->discount_price}}</div>
                @endif
                <div class="d-md-flex align-items-center order-list-item"><strong>Total : {{$master_setting['settings']->Currency.' '.$order_data->total}}</strong></div>
            </div>
        </div>
    </div>


</div>

</div>