@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('tickets')}}">Tickets</a></li>
                <li class="breadcrumb-item"><span>View</span></li>
            </ul>
        </div>
    </div>  
	<div class="row">
	 
		<div class="col-md-6 form-group">
			<label>Category<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $tickets->category ?: '' }}">
		</div> 	 
		<div class="col-md-6 form-group">
			<label>Name<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $tickets->name ?: '' }}">
		</div> 
		<div class="col-md-6 form-group">
			<label>Shortcode<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $tickets->shortcode ?: '' }}">
		</div> 
		<div class="col-md-6 form-group">
			<label>Description<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $tickets->description ?: '' }}">
		</div> 
		<div class="col-md-6 form-group">
			<label>Price</label>
			<input type="text" class="form-control" disabled value="{{ $tickets->price ?: '' }}">
		</div> 
		<div class="col-md-6 form-group">
			<label>Min Per Booking</label>
			<input type="text" class="form-control" disabled value="{{ $tickets->min_qty ?: '' }}">
		</div>
		<div class="col-md-6 form-group">
			<label>Max Per Booking<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $tickets->max_qty ?: '' }}">
		</div>  
		<div class="col-md-6 form-group">
			<label>Min Dates Select<span style="color:red;">*</span></label>
			<input type="text" class="form-control" disabled value="{{ $tickets->day_qty ?: '' }}">
		</div>  
	</div>  
</div>
@endsection