	@extends('admin.layouts.master')
@section('content')

<?php /*
	<div class="row">
		<div class="col-md-12 grid-margin stretch-card">
			<div class="card">
				<div class="card-body">
					<h6 class="card-title">General Registrations</h6>
					<p class="card-description"></p>
					<div class="table-responsive">
						<table class="table table-hover">
							<thead>
							<tr>
								<th>#</th>
								<th>First Name</th>
								<th>Email</th>
								<th>Mobile Number</th>
								<th>USERNAME</th>
							</tr>
							</thead>
							<tbody>
								@if(!empty($users))
									@foreach($users as $key => $value)
										<tr class="odd gradeX" id="{{ $value->id }}">
											<td class="table-checkbox"> {{ ++$key }} </td>
											<td class="table-checkbox"> {{ $value->name }} </td>
											<td class="table-checkbox"> {{ $value->email }} </td>
											<td class="table-checkbox"> {{ '('.$value->country_code.')'.' '.$value->phone }} </td>
											<td class="table-checkbox"> {{ $value->ticket_qty }} </td>
											<td class="table-checkbox"> {{ $value->ticket_amt }} </td>
											<td class="table-checkbox"> {{ $value->festival_dates }} </td>
											<td>
												{{ date('d M Y H:i A', strtotime($value->created_at)); }}
											</td>
											<td>
												<a class="fa-icon" data-toggle="tooltip" title="Add Users" href="#"><i class="fa fa-plus-circle"></i></a>
												<a class="fa-icon" data-toggle="tooltip" title="Users List" href="#"><i class="fa fa-list"></i></a>
											</td>
										</tr>
									@endforeach
								@else
									<tr class="odd gradeX"> <td colspan="8"> No data available in table </td> </tr>
								@endif
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div> */ ?>

<!-- -------------- -->

<div class="container">
			<div class="d-flex justify-content-between mb-3 flex-wrap">
				<div class="d-flex">
						<h2 class="heading mb-0">Attendees</h2>
				</div>
				<div class="s-box">
					<div class="search-wrapper">
						<form action="">
							@csrf
							<input type="search" class="form-control ticket-search" placeholder="Search Here..">
							<button type="submit" class="btn btn-search">Search</button>
						</form>
				</div>
				</div>
			</div>


			




			<!-- Tickets Table -->
			<div class="row">
				<div class="col-md-12">
					<div class="table-scroller">

										<table class="table table-hover attendees-table tickets-table">
											<thead>
												<tr>
													<th>#</th>
													<th>Name</th>
													<th>Email</th>
													<th>Order ID</th>
													<th>Unique Code</th>
													<th>Phone</th>
													<th>Ticket Type</th>
													<th>Status</th>
													<th>Action</th>
												</tr>
											</thead>

											<tbody>

												@if(!empty($users))
									@foreach($users as $key => $value)
										<tr id="{{ $value->id }}">
											<td> {{ ++$key }} </td>
											<td> {{ $value->name }} </td>
											<td> {{ $value->email }} </td>
											<td>#123458</td>
											<td>SN25684</td>
											<td> {{ '('.$value->country_code.')'.' '.$value->phone }} </td>
											<!-- <td> {{ $value->ticket_qty }} </td>
											<td> {{ $value->ticket_amt }} </td>
											<td> {{ $value->festival_dates }} </td> 
											<td>
												{{ date('d M Y H:i A', strtotime($value->created_at)); }}
											</td>-->
											<td>Premium</td>
													<td><span class="activated">Activated</span></td>
													<td>
														<div class="dropdown ticket-option">
													    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
													      <div class="dot-three"></div>
													    </button>
													    <div class="dropdown-menu">
													      <a class="dropdown-item" href="#"><img class="cal-icon" src="{{ asset('public/admin/assets/images/view_icon.svg')}}"> View</a>
													  </div>
													</div>
													</td>
											
										</tr>
									@endforeach
								@else
									<tr> <td colspan="12"> No data available in table </td> </tr>
								@endif


											
												
												
									
								</tbody>
							</table>


		</div>
	</div>
</div>




</div>





@endsection

@section('script')

<script type="text/javascript">

function emailUser(id)
   	{
   		$.ajaxSetup({
		    headers: {
		        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		    }
		});

		$.ajax({
			type:'POST',
			url: "{{route('emailUser')}}",
			data: {id: id},

			success:function(response)
			{
				response = jQuery.parseJSON(response);
				var type = response.type;
				var message = response.message;

				if(type == 'Success')
				{
					Swal.fire(
						'Success',
						'Email Resend Successfully.',
						'success'
					)
					$('.response_status').css('color', 'green').html(message).show();
				}
				else
				{
					$('.response_status').css('color', 'red').html(message).show();
				}

				$( "#user-section" ).load(window.location.href + " #user-section" );
			},
		});
   	}

</script>
@endsection
