<!-- Modal body -->
<div class="modal-body">
    <!-- <p>Switch Button</p>
        <label class="switch">
            <input type="checkbox">
            <span class="slider round"></span>
        </label> -->

    <div id="accordion">

        @foreach($roles as $key => $value)
        <div class="card">

            <div class="card-header">
                <a class="card-link" data-toggle="collapse" href="#collapse{{$value->id}}">
                    {{$value->name}}
                </a>
            </div>
            <div id="collapse{{$value->id}}" class="collapse show" data-parent="#accordion">
                <div class="card-body">
                    <form class="add-user-form" id="eventSettings{{$value->id}}" method="post">
                        @CSRF
                        <input type="hidden" name="event_id" value="{{$event_id}}">
                        <input type="hidden" name="role_id" value="{{$value->id}}">
                        @if($value->id == 1)
                        <div class="form-group col-md-12">
                            <label for="locations">Locations</label>
                            <textarea class="form-control" id="locations" rows="3" name="settings[locations]">{{$event_settings['locations']}}</textarea>
                        </div>
                        @elseif($value->id == 2)
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th scope="col" style="text-align:center;">Field Label</th>
                                    <th scope="col" style="text-align:center;">Field Key</th>
                                    <th scope="col" style="text-align:center;">Field Type</th>
                                    <th scope="col" style="text-align:center;">Required</th>
                                    <th scope="col" style="text-align:center;">Value</th>
                                    <th scope="col" style="text-align:center;">Action</th>
                                </tr>
                            </thead>
                            <tbody id="field-section">
                                @if(!empty($form_settings))
                                @foreach($form_settings as $key2 => $value2)
                                <tr>
                                    <td><input type="text" name="form_settings[field_title][]" class="form-control" placeholder="Field Label" value="{{$value2->field_title}}"></td>
                                    <td><input type="text" name="form_settings[field_name][]" class="form-control" placeholder="Field Key" value="{{$value2->field_name}}"></td>
                                    <td>
                                        <select name="form_settings[field_type][]" class="form-control">
                                            <option value="">Select Field Type</option>
                                            <option value="text" @if($value2->field_type == 'text') selected @endif>Text</option>
                                            <option value="email" @if($value2->field_type == 'email') selected @endif>Email</option>
                                            <option value="phone" @if($value2->field_type == 'phone') selected @endif>Phone</option>
                                            <option value="textarea" @if($value2->field_type == 'textarea') selected @endif>Textarea</option>
                                            <option value="select" @if($value2->field_type == 'select') selected @endif>Select</option>
                                            <option value="checkbox" @if($value2->field_type == 'checkbox') selected @endif>Checkbox</option>
                                            <option value="radio" @if($value2->field_type == 'radio') selected @endif>Radio</option>
                                        </select>
                                    </td>
                                    <td>
                                        <select name="form_settings[required][]" class="form-control">
                                            <option value="">Select Required</option>
                                            <option value="1" @if($value2->required == 1) selected @endif>Yes</option>
                                            <option value="0" @if($value2->required == 0) selected @endif>No</option>
                                        </select>
                                    </td>
                                    <td><input type="text" name="form_settings[value][]" class="form-control" placeholder="Values" value="{{$value2->value}}"></td>
                                    <td><a class="btn btn-danger remove-field">Remove</a></td>
                                </tr>
                                @endforeach
                                @endif
                            </tbody>

                        </table>
                        <button class="btn btn-main addmoreformfield">Add more field</button>
                        @elseif($value->id == 3)
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label for="search_fields">Search Fields</label>
                                <textarea class="form-control" id="search_fields" rows="3" name="settings[search_fields]">{{isset($event_settings['search_fields']) ? $event_settings['search_fields'] : ''; }}</textarea>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="search_fields">Printer Type</label>
                                <select name="settings[printer_type]" class="form-control" id="printer_type">
                                    <option value="">Select Printer</option>
                                    <option value="Sunmi" @if(isset($event_settings['printer_type']) && $event_settings['printer_type'] == Sunmi) selected @endif>Sunmi Device</option>
                                    <option value="Brother" @if(isset($event_settings['printer_type']) && $event_settings['printer_type'] == Brother) selected @endif>Brother Printer</option>
                                    <option value="Other" @if(isset($event_settings['printer_type']) && $event_settings['printer_type'] == Other) selected @endif>Other (HP Leaser 1020/Canon 307 CTC)</option>
                                </select>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="locations">Row 1</label>
                                <input class="form-control" id="print_row1" type="text" name="settings[print_row1]" />
                            </div>
                            <div class="form-group col-md-6">
                                <label for="locations">Row 2</label>
                                <input class="form-control" id="print_row2" type="text" name="settings[print_row2]" />
                            </div>
                            <div class="form-group col-md-6">
                                <label for="locations">Row 3</label>
                                <input class="form-control" id="print_row3" type="text" name="settings[print_row3]" />
                            </div>
                            <div class="form-group col-md-6">
                                <label for="locations">Row 4</label>
                                <input class="form-control" id="print_row4" type="text" name="settings[print_row4]" />
                            </div>
                            <div class="form-group col-md-6">
                                <label for="locations">Row 5</label>
                                <input class="form-control" id="print_row5" type="text" name="settings[print_row5]" />
                            </div>
                        </div>
                        @endif
                        <button type="button" class="btn btn-main update_settings" data-dismiss="modal" data-roleid="{{$value->id}}">Update</button>
                    </form>
                </div>
            </div>
        </div>
        @endforeach

    </div>
</div>