<div class="order-summary book-slide-pop">
    <!-- <h6 class="mt-md-3 mb-0 text-center">No Items Added</h6> -->
    <div class="apply-coupon-section" id="coupon_section">
        @if(!isset($_SESSION['coupon_applied']) || empty($_SESSION['coupon_applied']))
        <div class="apply-coupon-box">
            <input type="text" class="form-control coupon_input" placeholder="Enter coupon code"> <button class="btn-coupon-apply">APPLY</button>
        </div>
        @else
        <div class="after-apply-coupon">
            <p><img src="{{asset('public/images/new-green_tick.svg')}}" alt=""> Coupon Applied</p>
            <div class="coupon-box">
                <p>{{$_SESSION['coupon_applied']['coupon_code']}}</p>
                <a href="javascript:void(0);" class="removeCouponCode">
                    <img src="{{asset('public/images/red_cross.svg')}}" alt="">
                </a>
            </div>

        </div>
        @endif
    </div>
    <h4 class="mt-2 mb-4 text-capitalize text-primary">Order Summary</h4>
    <div class="flex-grow-1 overflow-auto">
        <div class="ticket-cart">
            @php $ammount = []; @endphp
            @if(isset($_SESSION[$slug]))
            @foreach($_SESSION[$slug] as $key => $value)
            <div class="order-item">{{$value['ticket_name']}} x {{$value['ticket_quantity']}}
                <span class="ms-auto text-nowrap">
                    @if($value['ticket_price'] == 0) {{'Free'}} @else {{$master_setting['settings']->Currency.$value['ticket_price']}} @endif
                </span>
            </div>
            @php
            array_push($ammount, $value['ticket_price']);
            @endphp
            @endforeach
            @endif
        </div>
        @php $total = array_sum($ammount) @endphp

        <div id="cart_total_section">
            @if(!isset($_SESSION['coupon_applied']) || empty($_SESSION['coupon_applied']))
            <h5 class="d-md-flex align-items-center">Total <span class="ms-auto text-nowrap total-ammount">{{$master_setting['settings']->Currency}}{{$total}}</span></h5>
            @else

            <div style="border-bottom: 1px solid #D5D5D5;">
                <div class="order-item">
                    Subtotal
                    <span class="ms-auto text-nowrap">
                        {{$master_setting['settings']->Currency}}{{$total}}
                    </span>
                </div>
                <div class="order-item" style="color:red;">
                    Discount
                    <span class="ms-auto text-nowrap">
                        - {{$master_setting['settings']->Currency}}{{$_SESSION['coupon_applied']['total_discount']}}
                    </span>
                </div>
            </div>

            <h5 class="d-md-flex align-items-center">Total <span class="ms-auto text-nowrap total-ammount">{{$master_setting['settings']->Currency}}{{$total-$_SESSION['coupon_applied']['total_discount']}}</span></h5>
            @endif
        </div>
    </div>
    <div class="bottom-ticket-count">
        <p class="text-center mb-2 total_tickets_count">Total : {{isset($_SESSION[$slug]) ? array_sum(array_column($_SESSION[$slug], 'ticket_quantity')) : 0}} Tickets</p>
        @if(isset($_SESSION['order_id']) && $_SESSION['order_id'] != '')
        <div class="checkout_btn w-100">
            <a href="{{route('payments', ['order_id' => $_SESSION['order_id']])}}" class="btn btn-primary py-2 w-100 booknow-btn" id="click" type="button">Checkout <img src="{{asset('public/images/btn_arrow.svg')}}" alt=""></a>
        </div>
        @else
        <div class="checkout_btn w-100 disableBtn">
            <a href="javascript:void(0);" class="btn btn-primary py-2 w-100 booknow-btn" type="button">Checkout <img src="{{asset('public/images/btn_arrow.svg')}}" alt=""></a>
        </div>
        @endif
    </div>
</div>