<?php $__env->startPush('plugin-styles'); ?>
<link href="<?php echo e(asset('public/admin/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="d-flex justify-content-between">
        <h2 class="heading">Dashboard</h2>
    </div>

    <div class="row dashboard-stat-outer dso-top">

        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h4>Total Count</h4>
        </div>
        <?php if(!empty($total_sale_data)): ?>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="<?php echo e(asset('public/admin/assets/images/tickets_icon.svg')); ?>">
                    </div>
                    <div class="number">
                        <small class="crd-heding">Total Tickets Bookings</small>

                        <h3 class=""> <?php echo e($total_sale_data['total_orders']); ?> <span style="font-size:20px;">(<?php echo e($total_sale_data['total_users']); ?>)</span> </h3>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="<?php echo e(asset('public/admin/assets/images/ticket_sales.svg')); ?>">
                    </div>
                    <div class="number">
                        <small class="crd-heding">Total Ticket Sales</small>
                        <h3 class=""><?php echo e($master_setting['settings']->Currency); ?> <?php echo e($total_sale_data['total_amount']); ?></h3>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h4>Category Wise</h4>
        </div>
        <?php if(!empty($final_data)): ?>
        <?php $__currentLoopData = $final_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h5><?php echo e($key); ?></h5>
        </div>
        <?php $__currentLoopData = $value; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2 => $value2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="<?php echo e(asset('public/admin/assets/images/tickets_icon.svg')); ?>">
                    </div>
                    <div class="number">
                        <small class="crd-heding"><?php echo e($key2); ?> Bookings</small>
                        <h3 class=""><?php echo e($value2['total_orders']); ?> <span style="font-size:20px;">(<?php echo e($value2['total_users']); ?>)</span></h3>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="<?php echo e(asset('public/admin/assets/images/ticket_sales.svg')); ?>">
                    </div>
                    <div class="number">
                        <small class="crd-heding"><?php echo e($key2); ?> Sales</small>
                        <h3 class=""><?php echo e($master_setting['settings']->Currency); ?> <?php echo e($value2['total_amount']); ?> </h3>
                    </div>
                </div>
            </div>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>
        
        <?php if(!empty($refundable_data)): ?>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h4>Refundable Amount</h4>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="<?php echo e(asset('public/admin/assets/images/tickets_icon.svg')); ?>">
                    </div>
                    <div class="number">
                        <small class="crd-heding">Total Tickets Bookings</small>

                        <h3 class=""> <?php echo e($refundable_data['total_refund_orders']); ?> <span style="font-size:20px;">(<?php echo e($refundable_data['total_refundable_users']); ?>)</span> </h3>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="<?php echo e(asset('public/admin/assets/images/ticket_sales.svg')); ?>">
                    </div>
                    <div class="number">
                        <small class="crd-heding">Total Amount</small>
                        <h3 class=""><?php echo e($master_setting['settings']->Currency); ?> <?php echo e($refundable_data['total_refundable_amount']); ?></h3>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>
    </div>



    <?php $__env->stopSection(); ?>

    <?php $__env->startPush('plugin-scripts'); ?>
    <!-- 	<script src="<?php echo e(asset('public/admin/assets/plugins/chartjs/Chart.min.js')); ?>"></script>
	<script src="<?php echo e(asset('public/admin/assets/plugins/jquery.flot/jquery.flot.js')); ?>"></script>
	<script src="<?php echo e(asset('public/admin/assets/plugins/jquery.flot/jquery.flot.resize.js')); ?>"></script>
	<script src="<?php echo e(asset('public/admin/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js')); ?>"></script>
	<script src="<?php echo e(asset('public/admin/assets/plugins/apexcharts/apexcharts.min.js')); ?>"></script>
	<script src="<?php echo e(asset('public/admin/assets/plugins/progressbar-js/progressbar.min.js')); ?>"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.2.2/Chart.min.js" type="text/javascript"> </script>
    <script>
        var ctx = document.getElementById("myChart").getContext('2d');
        var myChart = new Chart(ctx, {
            type: 'bar',
            data: {
                labels: ["January", "February", "March", "April", "May", "June", "July"],
                datasets: [{
                    label: 'Tickets Sale',
                    data: [20, 50, 95, 70, 50, 5, 15],
                    backgroundColor: "rgba(236,102,102,0.6)"
                }]
            }
        });
    </script>
    <?php $__env->stopPush(); ?>

    <?php $__env->startPush('custom-scripts'); ?>
    <!-- 	<script src="<?php echo e(asset('public/admin/assets/js/dashboard.js')); ?>"></script>
	<script src="<?php echo e(asset('public/admin/assets/js/datepicker.js')); ?>"></script> -->
    <?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dreamcast/live.dreamcast.in/eventbot/basic_event/resources/views/admin/dashboard/index.blade.php ENDPATH**/ ?>