<style>
	.dropdown-date .dropdown-toggle{padding-top: 5px;padding-bottom: 5px;margin-bottom: 0;}
	.dropdown-date .dropdown-toggle.datefilter{width: auto;}
	.serach_type_txt .form-control {max-width: 200px;}
	.hide{ display: none !important; }
</style>

<form action="<?php echo e(route('interfaces-advanceFilter')); ?>" method="POST" id="filter-form">
	<?php echo csrf_field(); ?>
	<input type="hidden" name="interface_id" value="<?php echo e($interface_data->id); ?>">
	<div class="card p-3 mb-3">
		<div class="d-flex justify-content-between mb-2 flex-wrap">
			<div class="toggle-btn-text d-flex align-items-center">
				<span class="med-14">Search Data by</span>
				
				<div class="button-switch">
					<input type="checkbox" name="search_type" id="switch-blue" class="switch" value="All" <?php if(isset($_SESSION['advance_search_filter']['search_type']) && $_SESSION['advance_search_filter']['search_type'] == 'All'): ?><?php echo e('checked'); ?><?php endif; ?>>
					<label for="switch-blue" class="lbl-off">Any</label>
					<label for="switch-blue" class="lbl-on">All</label>
				</div>
				<span class="med-14">Of the following</span>
			</div>
			<div class="btns-box">
				<a href="<?php echo e(route('interfaces').'/'.$interface_data->id); ?>" class="btn btn-light"><span class="fas fa-times"></span> Clear</a>
				<button type="submit" class="btn btn-main">Search</button>
				<?php if(!empty($_SESSION['export_advance_search_filter'])): ?>
				<a href="<?php echo e(route('interfaces-exportAdvanceFilterData')); ?>" target="_blank" class="btn btn-main export-btn">Export</a>
				<?php endif; ?>
				<!-- <button type="button" class="btn btn-main export-btn">Export</button> -->
			</div>
		</div>
		<div class="search-form">
			
			<div class="d-flex filter-drops flex-wrap searchform search1">
				<div class="dropdown dropdown-date">
					<select class="dropdown btn btn-default dropdown-toggle search_field" name="search_field[]" data-itemnum="1">
						<option value=""> Select Filter </option>
						<option value="name" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'name'): ?><?php echo e('selected'); ?><?php endif; ?>> Name </option>
						<option value="email" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'email'): ?><?php echo e('selected'); ?><?php endif; ?>> Email </option>
						<option value="phone" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'phone'): ?><?php echo e('selected'); ?><?php endif; ?>> Phone </option>
						<option value="unique_code" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'unique_code'): ?><?php echo e('selected'); ?><?php endif; ?>> Unique Code </option>
						
						<option value="date" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'date'): ?><?php echo e('selected'); ?><?php endif; ?>> Date </option>
					</select>
				</div>
				<div class="dropdown dropdown-date select-date-type" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][0] == 'date'): ?> style="display:block;" <?php else: ?> style="display:none;" <?php endif; ?>>
					<select class="dropdown btn btn-default dropdown-toggle date_type" name="date_type[]" data-itemnum="1">
						<option value=""> Select </option>
						<option value="between" <?php if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][0] == 'between'): ?><?php echo e('selected'); ?><?php endif; ?>> Between </option>
						<option value="equal_to" <?php if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][0] == 'equal_to'): ?><?php echo e('selected'); ?><?php endif; ?>> Equal To </option>
					</select>
				</div>
				<div class="dropdown dropdown-date start-date-sec" <?php if(isset($_SESSION['advance_search_filter']['date_type']) && ($_SESSION['advance_search_filter']['date_type'][0] == 'between' || $_SESSION['advance_search_filter']['date_type'][0] == 'equal_to')): ?> style="display:block;" <?php else: ?> style="display:none;" <?php endif; ?>>
					<input class="dropdown btn btn-default dropdown-toggle" name="start_date[]" type="date" value="<?php if(isset($_SESSION['advance_search_filter']['start_date']) && $_SESSION['advance_search_filter']['start_date'][0] != ''): ?><?php echo e($_SESSION['advance_search_filter']['start_date'][0]); ?><?php endif; ?>" />
				</div>
				<div class="dropdown dropdown-date end-date-sec" <?php if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][0] == 'between'): ?> style="display:block;" <?php else: ?> style="display:none;" <?php endif; ?>>
					<input class="dropdown btn btn-default dropdown-toggle" name="end_date[]" type="date" value="<?php if(isset($_SESSION['advance_search_filter']['end_date']) && $_SESSION['advance_search_filter']['end_date'][0] != ''): ?><?php echo e($_SESSION['advance_search_filter']['end_date'][0]); ?><?php endif; ?>" />
				</div>
				<div class="dropdown dropdown-date input-sec" <?php if(isset($_SESSION['advance_search_filter']['input_value']) && $_SESSION['advance_search_filter']['input_value'][0] != ''): ?> style="display:block;" <?php else: ?> style="display:none;" <?php endif; ?>>
					<input class="dropdown btn btn-default dropdown-toggle" name="input_value[]" type="text" placeholder="Search here.." value="<?php if(isset($_SESSION['advance_search_filter']['input_value']) && $_SESSION['advance_search_filter']['input_value'][0] != ''): ?><?php echo e($_SESSION['advance_search_filter']['input_value'][0]); ?><?php endif; ?>"/>
				</div>
			</div>

			<?php if(isset($_SESSION['advance_search_filter']) && count($_SESSION['advance_search_filter']['search_field']) > 1): ?>
			<?php 
				$i=1; 
				unset($_SESSION['advance_search_filter']['search_field'][0]);
			?>
			<?php $__currentLoopData = $_SESSION['advance_search_filter']['search_field']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<div class="d-flex filter-drops flex-wrap searchform search<?php echo e($i+1); ?>">
				<button type="button" class="close remove-item" data-itemnum="<?php echo e($i+1); ?>">×</button>
				<div class="dropdown dropdown-date">
					<select class="dropdown btn btn-default dropdown-toggle search_field" name="search_field[]" data-itemnum="<?php echo e($i+1); ?>">
						<option value="date" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'date'): ?><?php echo e('selected'); ?><?php endif; ?>> Date </option>
						<option value="name" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'name'): ?><?php echo e('selected'); ?><?php endif; ?>> Name </option>
						<option value="email" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'email'): ?><?php echo e('selected'); ?><?php endif; ?>> Email </option>
						<option value="phone" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'phone'): ?><?php echo e('selected'); ?><?php endif; ?>> Phone </option>
						<option value="unique_code" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && $_SESSION['advance_search_filter']['search_field'][$i] == 'unique_code'): ?><?php echo e('selected'); ?><?php endif; ?>> Unique Code </option>
					</select>
				</div>
				<div class="dropdown dropdown-date select-date-type" <?php if(isset($_SESSION['advance_search_filter']['search_field']) && ($_SESSION['advance_search_filter']['search_field'][$i] == 'date' || $_SESSION['advance_search_filter']['search_field'][$i] == '')): ?> style="display:block;" <?php else: ?> style="display:none;" <?php endif; ?>>
					<select class="dropdown btn btn-default dropdown-toggle date_type" name="date_type[]" data-itemnum="<?php echo e($i+1); ?>">
						<option value=""> Select </option>
						<option value="between" <?php if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][$i] == 'between'): ?><?php echo e('selected'); ?><?php endif; ?>> Between </option>
						<option value="equal_to" <?php if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][$i] == 'equal_to'): ?><?php echo e('selected'); ?><?php endif; ?>> Equal To </option>
					</select>
				</div>
				<div class="dropdown dropdown-date start-date-sec" <?php if(isset($_SESSION['advance_search_filter']['date_type']) && ($_SESSION['advance_search_filter']['date_type'][$i] == 'between' || $_SESSION['advance_search_filter']['date_type'][$i] == 'equal_to')): ?> style="display:block;" <?php else: ?> style="display:none;" <?php endif; ?>>
					<input class="dropdown btn btn-default dropdown-toggle" name="start_date[]" type="date" value="<?php if(isset($_SESSION['advance_search_filter']['start_date']) && $_SESSION['advance_search_filter']['start_date'][$i] != ''): ?><?php echo e($_SESSION['advance_search_filter']['start_date'][$i]); ?><?php endif; ?>" />
				</div>
				<div class="dropdown dropdown-date end-date-sec" <?php if(isset($_SESSION['advance_search_filter']['date_type']) && $_SESSION['advance_search_filter']['date_type'][$i] == 'between'): ?> style="display:block;" <?php else: ?> style="display:none;" <?php endif; ?>>
					<input class="dropdown btn btn-default dropdown-toggle" name="end_date[]" type="date" value="<?php if(isset($_SESSION['advance_search_filter']['end_date']) && $_SESSION['advance_search_filter']['end_date'][$i] != ''): ?><?php echo e($_SESSION['advance_search_filter']['end_date'][$i]); ?><?php endif; ?>" />
				</div>
				<div class="dropdown dropdown-date input-sec" <?php if(isset($_SESSION['advance_search_filter']['input_value']) && $_SESSION['advance_search_filter']['input_value'][$i] != ''): ?> style="display:block;" <?php else: ?> style="display:none;" <?php endif; ?>>
					<input class="dropdown btn btn-default dropdown-toggle" name="input_value[]" type="text" placeholder="Search here.." value="<?php if(isset($_SESSION['advance_search_filter']['input_value']) && $_SESSION['advance_search_filter']['input_value'][$i] != ''): ?><?php echo e($_SESSION['advance_search_filter']['input_value'][$i]); ?><?php endif; ?>"/>
				</div>
			</div>
			<?php $i++; ?>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			<?php endif; ?>
		</div>
		<div class="btn-add-filter pt-3">
			<button type="button" class="btn btn-transparent addmore-fields" >+ Add Filter</button>
		</div>
	</div>
</form>

<?php $__env->startPush('custom-scripts'); ?>
<script type="text/javascript">
	$(document).on('change', '.search_field', function(){
		var search_field = $(this).val();
		var itemnum = $(this).data('itemnum');
		var parent_class = '.search'+itemnum;
		
		if(search_field == 'name' || search_field == 'email' || search_field == 'phone' || search_field == 'unique_code') {
			$(parent_class).children('.start-date-sec').hide();
			$(parent_class).children('.end-date-sec').hide();
			$(parent_class).children('.select-date-type').hide();
			$(parent_class).children('.select-paymnet-gateway').hide();
			$(parent_class).children('.select-date-type').children('.date_type').val('');
			$(parent_class).children('.select-paymnet-gateway').children('.payment_gateway').val('');
			$(parent_class).children('.input-sec').show();
		} else {
			$(parent_class).children('.select-paymnet-gateway').hide();
			$(parent_class).children('.select-date-type').show();
			$(parent_class).children('.input-sec').hide();
		}
	});
	
	$(document).on('change', '.date_type', function(){
		var date_type = $(this).val();
		var itemnum = $(this).data('itemnum');
		var parent_class = '.search'+itemnum;

		if(date_type == 'between') {
			$(parent_class).children('.start-date-sec').show();
			$(parent_class).children('.end-date-sec').show();
		} else {
			$(parent_class).children('.start-date-sec').show();
			$(parent_class).children('.end-date-sec').hide();
		}
	});

	$(document).on('click','.addmore-fields', function(e)
    {
		$(this).attr('disabled', true);
        var numItems = $('.search_field').last().data('itemnum');
		
        if(numItems != '') {
			$.ajaxSetup({
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				}
			});

			$.ajax({
				type:'GET',
				url: "<?php echo e(route('interfaces-advanceFilter-addmore')); ?>",
				data:{numItems:numItems},
				success:function(response)
				{
					$('.search-form').append(response);
					$('.addmore-fields').attr('disabled', false);
				},
			});
			e.preventDefault();
		}
    });

	/* $(document).on('click','.export-btn', function(e)
    {
		var form = $('#filter-form')[0];
        var formData = new FormData(form);

		$.ajaxSetup({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			}
		});
		$.ajax({
			type:'POST',
			url: "<?php echo e(route('salesreporting-exportAdvanceFilterData')); ?>",
			data:formData,
            processData: false,
            contentType: false,
			success:function(response)
			{
				//
			},
		});
		e.preventDefault();
    }); */

	$(document).on('click','.remove-item', function()
	{
		var numItems = $(this).data('itemnum');
		$('.search'+numItems).remove();
	});
 
</script>
<?php $__env->stopPush(); ?><?php /**PATH /var/www/html/barcode/resources/views/admin/interfaces/advance_filter.blade.php ENDPATH**/ ?>