
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><span>Permissions</span></li>
                <!-- <li class="breadcrumb-item"><a href="#_">Category List</a></li> -->
            </ul>
        </div>
    <div class="btns-group-top">
        <div class="save-next">
			<a type="button" class="btn btn-main white" href="<?php echo e(route('permissions-addmenus')); ?>">+ Add Menus</a>
			<a type="button" class="btn btn-main white" href="<?php echo e(route('permissions-adduser')); ?>">+ Add Users</a>
        </div>
    </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">

            <table class="table table-bordered user_datatable">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Role</th>
                        <th>Username</th>
                        <th width="100px">Action</th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
</div>

<!-- tickets modal -->
<div class="modal right fade" id="ticketModal">
	<div class="modal-dialog modal-dialog-scrollable">
		<button type="button" class="close" data-dismiss="modal">×</button>
		<div id="modalContent"></div>
	</div>
</div>
<!-- tickets modal -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script type="text/javascript">
    $(function() {
        var table = $('.user_datatable').DataTable({
            processing: true,
            serverSide: true,
            ajax: "<?php echo e(route('permissions')); ?>",
            columns: [{
                    data: 'id',
                    name: 'id'
                },
                {
                    data: 'role',
                    name: 'role'
                },
                {
                    data: 'email',
                    name: 'email'
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
            ]
        });
        console.log(table);
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/barcode/resources/views/admin/permissions/index.blade.php ENDPATH**/ ?>