
<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap">
        <div class="d-flex">
            <h2 class="heading mb-0">Event Details</h2>
        </div>
        <div class="save-next">
           <!--  <button type="button" class="btn btn-save-next">Save & Next</button> -->
        
        <button type="button" class="btn btn-main btn-add-ticket" data-toggle="modal" data-target="#eventtabModal" onclick="openmodal('add');">+ Add Tabs</button>
        </div>
    </div>

    <!-- Tabbing -->
    <div class="row">
        <div class="col-md-12">
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#eventdetails">Event Details</a>
                </li>
                <?php $__currentLoopData = $tab_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#tab<?php echo e($data->id); ?>"><?php echo e($data->tab_name); ?></a>
                </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             <!--    <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#venue">Venue</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#tandc">T&C</a>
                </li> -->
            </ul>
            <div class="tab-content">
                <div id="eventdetails" class="container-tab tab-pane active"><br>
                    <form id="ticketdetails" method="post" enctype="multipart/form-data" action="<?php echo e(route('updateEventDetails')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-md-6">
                                <label class="label">Event UniqueCode Prefix</label>
                                <input type="text" name="prefix_uniquecode" class="form-control" placeholder="Event UniqueCode Prefix" value="<?php echo e($event_details->prefix_uniquecode); ?>">
                            </div>
                            <div class="col-md-6">
                                <label class="label">Event Title</label>
                                <input type="text" name="title" class="form-control" placeholder="Event Title" value="<?php echo e($event_details->title); ?>">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <label class="label">Description</label>
                                <textarea type="text" name="description" class="form-control"><?php echo e($event_details->description); ?></textarea>
                            </div>
                            <div class="col-md-6">
                                <label class="label">Organizer Message</label>
                                <textarea type="text" name="organizer_message" class="form-control"><?php echo e($event_details->organizer_message); ?></textarea>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <label class="label">Banner</label>
                                <input type="file" name="banner_img" class="form-control">
                                <br>
                                <center><img src="<?php echo e($event_details->banner_img); ?>" height="100px"/></center>
                            </div>
                            <div class="col-md-4">
                                <label class="label">Main Logo</label>
                                <input type="file" name="logo" class="form-control">
                                <br>
                                <center><img src="<?php echo e($event_details->logo); ?>" height="100px"/></center>
                            </div>
                            <div class="col-md-4">
                                <label class="label">Favicon Icon</label>
                                <input type="file" name="favicon_icon" class="form-control">
                                <br>
                                <center><img src="<?php echo e($event_details->favicon_icon); ?>" height="100px"/></center>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <label class="label">Event Date</label>
                                <input type="text" name="event_date" class="form-control" placeholder="Event Date" value="<?php echo e($event_details->event_date); ?>">
                            </div>
                            <div class="col-md-6">
                                <label class="label">Event Time</label>
                                <input type="text" name="event_time" class="form-control" placeholder="Event Time" value="<?php echo e($event_details->event_time); ?>">
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <label class="label">Event Address</label>
                                <input type="text" name="event_address" class="form-control" placeholder="Event Address" value="<?php echo e($event_details->event_address); ?>">
                            </div>
                            <div class="col-md-3">
                                <label class="label">Festival Dates</label>
                                <input type="text" name="festival_dates" class="form-control" placeholder="Festival Dates" value="<?php echo e($event_details->festival_dates); ?>">
                            </div>
                            <div class="col-md-3">
                                <label class="label">Festival Month Year</label>
                                <input type="text" name="festival_month_year" class="form-control" placeholder="Festival Month Year" value="<?php echo e($event_details->festival_month_year); ?>">
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <label class="label">Website Url</label>
                                <input type="text" name="url" class="form-control" placeholder="Website Url" value="<?php echo e($event_details->url); ?>">
                            </div>
                            <div class="col-md-6">
                                <label class="label">Home Url</label>
                                <input type="text" name="home_url" class="form-control" placeholder="Home Url" value="<?php echo e($event_details->home_url); ?>">
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <label class="label">Facebook</label>
                                <input type="text" name="facebook" class="form-control" placeholder="Facebook" value="<?php echo e($event_details->facebook); ?>">
                            </div>
                            <div class="col-md-6">
                                <label class="label">Twitter</label>
                                <input type="text" name="twitter" class="form-control" placeholder="Twitter" value="<?php echo e($event_details->twitter); ?>">
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <label class="label">Linkedin</label>
                                <input type="text" name="linkedin" class="form-control" placeholder="Linkedin" value="<?php echo e($event_details->linkedin); ?>">
                            </div>
                            <div class="col-md-6">
                                <label class="label">Whatsapp</label>
                                <input type="text" name="whatsapp" class="form-control" placeholder="Whatsapp" value="<?php echo e($event_details->whatsapp); ?>">
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <label class="label">Payment Bypass</label>
                                <input type="text" name="payment_bypass" class="form-control" placeholder="Payment Bypass" value="<?php echo e($event_details->payment_bypass); ?>">
                            </div>
                        </div>
                        
                        
                        <br>
                        <button type="submit" class="btn btn-save-next">Update</button>
                    </form>
                </div>
                 <?php $__currentLoopData = $tab_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                <div id="tab<?php echo e($data->id); ?>" class="container-tab tab-pane fade"><br>
                   <textarea name="demo<?php echo e($data->id); ?>" class="form-control" id="democopy<?php echo e($data->id); ?>"><?php echo e($data->description); ?> </textarea>
                     <!-- <button id="bottone" onclick="myFunc()">Ok</button> -->
                     <script type="text/javascript">CKEDITOR.replace( '<?php echo 'demo'.$data->id ?>' );           
         </script>
                     <div class="set-default-btn mt-1">
                                Status
                        <div class="button-switch">
                            <input type="checkbox" id="customSwitches<?php echo e($data->id); ?>" class="switch" onclick="myEventStatus(<?php echo e($data->id); ?>)" <?php if($data->status==1): ?> <?php echo e('checked'); ?> <?php endif; ?> >
                        </div>
                    </div>
                  <div class="d-flex align-items-center mt-3">
                    <button type="button" class="btn btn-danger mr-2" onclick="tabRemove(<?php echo e($data->id); ?>)">Remove</button>
                    <button type="button" class="btn btn-save-next" onclick="tabUpdate(<?php echo e($data->id); ?>)">Submit</button>
                    </div>
                </div>
               <!--  <div id="venue" class="container-tab tab-pane fade"><br>
                     <textarea id="mytextarea1" name="content2"></textarea>
                     <script type="text/javascript">CKEDITOR.replace( 'content2' );</script>
                </div>
                <div id="tandc" class="container-tab tab-pane fade"><br>
                     <textarea id="mytextarea2" name="content3"></textarea>
                     <script type="text/javascript">CKEDITOR.replace( 'content3' );</script>
                </div> -->
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </div>
        </div>
    </div>
</div>

<!-- For Cropper -->
	<?php $__env->startSection('cropper_script'); ?>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.6/cropper.css" crossorigin="anonymous" />
		<script src="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.6/cropper.js" crossorigin="anonymous"></script>

		<script type="text/javascript">

		    var $modal = $('#modal');
		    var image = document.getElementById('image');
		    var cropper;

		    $("body").on("change", ".image", function(e)
		    {
		        var files = e.target.files;

		        let fileSize = e.target.files[0];
                let extension = fileSize.type;
                let size = (fileSize.size) / (1024 * 1024);

                if(size > 4)
                {
                	alert("The file size must be less than 4 MB");
                    return false;
                }
                
		        var filename = $('input[type=file]').val().replace(/C:\\fakepath\\/i, '')

				var getvalues =filename.split(".");
				var filenameFinal = getvalues[0];

		        $("#uploadImageName").val(filenameFinal);

		        var done = function (url) {
		            image.src = url;
		            $modal.modal('show');
		        };

		        var reader;
		        var file;
		        var url;

		        if (files && files.length > 0) {
		            file = files[0];

		            if (URL) {
		                done(URL.createObjectURL(file));
		            }
		            else if (FileReader) {
		                reader = new FileReader();
		                reader.onload = function (e) {
		                    done(reader.result);
		                };
		                reader.readAsDataURL(file);
		            }
		        }
		    });

			var finalCropWidth = 1920;
			var finalCropHeight = 500;
			var finalAspectRatio = finalCropWidth / finalCropHeight;

		    $modal.on('shown.bs.modal', function () {
		        cropper = new Cropper(image, {
		            viewMode: 3,
		            scalable: false,
		            maxContainerHeight: 500,
		            aspectRatio: finalAspectRatio,

		            // aspectRatio: 16/9,
		            // preview: '.preview',
		            // minCanvasHeight:500,
		            // minCropBoxHeight:500,
					// aspectRatio: 1,
					// viewMode: 1,
					// preview: '.preview_profile',
					// autoCropArea: 0.7,
					// viewMode: 1,
					// center: true,
					// dragMode: 'move',
					// movable: true,
					// scalable: true,
					// guides: true,
					// zoomOnWheel: true,
					// cropBoxMovable: true,
					// wheelZoomRatio: 0.1,
					// ready: function () {
					    //Should set crop box data first here
					    // cropper.setCropBoxData(cropBoxData).setCanvasData(canvasData);
					// }

		        });
		    }).on('hidden.bs.modal', function () {
		       cropper.destroy();
		       $("#drop-file").val('');
		       cropper = null;
		    });

		    $("#crop").click(function() {
		        // alert('crop');
		        canvas = cropper.getCroppedCanvas({
		            width: 1920,
		            height: 500,
		        });

		        canvas.toBlob(function(blob) {
		            var reader = new FileReader();
		            reader.readAsDataURL(blob);

		            reader.onloadend = function() {
		            	var uploadImageName = $("#uploadImageName").val();
		                var base64data = reader.result;
		                $.ajax({
		                    type: "POST",
		                    dataType: "json",
		                    url: "uploadImg",
		                    data: { "_token": "<?php echo e(csrf_token()); ?>", 'image': base64data, 'filename': uploadImageName},

		                    success: function(data) {
		                        $modal.modal('hide');
		                        // alert("success upload image");

		                        if(data.response=='success')
		                        {
		                        	// alert(data.response);
		                        	location.reload(true);		                            
		                        }
		                        else
		                        {
		                            $('#upload_image_error').html('Invalid Extension, Please upload JPG, JPEG and PNG Image');
		                        }
		                    }
		                });
		            }
		        });

		    })
		</script>
	<?php $__env->stopSection(); ?>
<!-- For Cropper -->
<!-- tickets modal -->
<div class="modal right fade" id="eventtabModal">
    <div class="modal-dialog modal-dialog-scrollable">
        <button type="button" class="close" data-dismiss="modal">×</button>
        <div id="modalContent">

        </div>
    </div>
</div>

<!-- tickets modal -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script type="text/javascript">
    function openmodal(type, id) {
    var url = '';
    
    if(typeof id === 'undefined') {
        var id = '';
    }

    if(type == 'add') {
        url = "<?php echo e(route('event_tab-add')); ?>";
    }

    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax({
        type:'GET',
        url: url,
        data: {id:id},
        success:function(response)
        {
            $('#modalContent').html(response);
        },
    });
}

$(document).on('click','.submit-btn', function (e) {
    var tab_name     = $('#tab_name').val();
   

    var form = $('#eventtab')[0];
    var formData = new FormData(form);
   
    $.ajax({
        type:'POST',                
        url: "<?php echo e(route('eventTabSave')); ?>",
        data:formData,
        contentType: false,
        processData: false,
        success:function(response)
        {
            //response = jQuery.parseJSON(response);
            var type = response.type;
            var message = response.message;

            if($.isEmptyObject(response.error)){
                location.reload();
            }else{
                console.log(response.error);
                $.each( response.error, function( key, value ) {
                    toastr.options = {"positionClass": "toast-bottom-right"};
                    toastr.error(value);
                });
            }

            //$( "#user-section" ).load(window.location.href + " #user-section" );
        },
    
    });
    e.preventDefault();
});

function myEventStatus(id){
    
 $.ajax({
        type:'POST',                
        url: "<?php echo e(route('eventTabStatus')); ?>",
        data: {"_token": "<?php echo e(csrf_token()); ?>","id": id},
        success:function(response)
        {
             console.log('Status update successfully')
        },
    
    });
}

function tabRemove(id){

    swal({
  title: "Are you sure?",
  text: "Once deleted, you will not be able to recover this data!",
  icon: "warning",
  buttons: true,
  dangerMode: true,
})
.then((willDelete) => {
  if (willDelete) {
     $.ajax({
                type:'POST',                
                url: "<?php echo e(route('tabRemove')); ?>",
                data: {"_token": "<?php echo e(csrf_token()); ?>","id": id},
                success:function(response)
                {
                     location.reload();
                },
            
            });
    swal("Your data has been deleted!", {
      icon: "success",
    });
  } else {
    swal("Your data is safe!");
  }
});
   
 
         
      
}

function tabUpdate(id){
      
    var content = 'democopy'+id;
    
    var description  = CKEDITOR.instances[content].getData();

    $.ajax({
        type:'POST',                
        url: "<?php echo e(route('eventTabupdate')); ?>",
        data: {"_token": "<?php echo e(csrf_token()); ?>","id": id,"content":description},
        success:function(response)
        {
            //response = jQuery.parseJSON(response);
            var type    = response.type;
            var message = response.message;

            if($.isEmptyObject(response.error)){
                location.reload();
            }else{
                console.log(response.error);
                $.each( response.error, function( key, value ) {
                    toastr.options = {"positionClass": "toast-bottom-right"};
                    toastr.error(value);
                });
            }

            //$( "#user-section" ).load(window.location.href + " #user-section" );
        },
    
    });
}
</script>
<?php $__env->stopPush(); ?>



<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/rafale/resources/views/admin/event/event-details.blade.php ENDPATH**/ ?>