<?php $__env->startSection('content'); ?>
<style>
    @media(max-width:767px) {
        .inner-pages-top {
            padding-top: 110px;
        }
    }
</style>
<div class="container inner-pages-top">
    <?php echo $__env->make('elements.event_info', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="bg-white p-2 rounded">
        <div class="row g-md-3">
            <div class="col-lg-8">
                <div class="p-3 p-lg-4">
                    <div class="top-heading">
                        <a href="<?php echo e($master_setting['settings']->home_url); ?>" class="btn-back me-3"><img src="<?php echo e(asset('public/images/back_arrow.svg')); ?>" alt=""></a><?php echo e($tickets[0]->category); ?>

                    </div>
                    <?php $i=1; ?>
                    <div class="scroll-ticket">
                        <?php $__currentLoopData = $tickets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($value->display_status != 0): ?>
                        <div class="d-md-flex align-items-center border-bottom pb-4 mb-4 ticket-types">
                            <div class="flex-grow-1">
                                <h5 class="mb-0 text-capitalize"><?php echo e($value->name); ?></h5>
                                <p class="mb-1 text-muted"><?php echo html_entity_decode($value->description) ?></p>
                                <h5 class="mb-0 text-primary d-none d-md-block"><?php echo e($value->price == '' ? 'Free' : $master_setting['settings']->Currency.number_format($value->price, 2)); ?></h5>
                                <!-- <p class="mb-1 text-primary" style="font-size:12px;">**Excludes Taxes as applicable</p> -->
                            </div>
                            <div class="ps-md-3 d-flex align-items-end mobile-set-price">
                                <h5 class="d-block d-md-none mb-0 text-primary"><?php echo e($value->price == '' ? 'Free' : $master_setting['settings']->Currency.number_format($value->price, 2)); ?></h5>
                                <div class="text-center me-3">
                                    <label class="text-muted d-none d-md-block">Select Qty</label>
                                    <!-- to manage registrations for only one package when registration type is single -->
                                    <?php
                                    $add_cart_disable_status = false;
                                    if($master_setting['settings']->registration_type == 'Single' && isset($_SESSION[$slug])) {
                                    if(empty($_SESSION[$slug])) {
                                    $add_cart_disable_status = false;
                                    } else {
                                    $add_cart_disable_status = true;
                                    }
                                    }
                                    ?>
                                    <select class="form-select qty-box quantity<?php echo e($value->id); ?> add-cart" data-ticketid="<?php echo e($value->id); ?>" data-slug="<?php echo e($value->slug); ?>" data-package="<?php echo e($i); ?>" <?php if(!isset($_SESSION[$slug][$value->id]) && $add_cart_disable_status == true): ?> disabled <?php endif; ?>>
                                        <option value="0">Select...</option>
                                        <?php for($x=$value->min_qty;$x<=$value->max_qty;$x++): ?>
                                            <option value="<?php echo e($x); ?>" <?php if(isset($_SESSION[$slug][$value->id]) && $_SESSION[$slug][$value->id]['ticket_quantity'] == $x): ?> selected <?php endif; ?>><?php echo e($x); ?></option>
                                            <?php endfor; ?>
                                    </select>
                                    <p class="mb-0">Total : <span class="qty_ticket_price<?php echo e($value->id); ?>"><?php echo e($master_setting['settings']->Currency); ?><?php echo e(isset($_SESSION[$slug][$value->id]['ticket_price']) ? number_format($_SESSION[$slug][$value->id]['ticket_price'],2) : 0); ?></span></p>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php $i++; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="order-summary book-slide-pop">
                    <!-- <h6 class="mt-md-3 mb-0 text-center">No Items Added</h6> -->
                    <h4 class="mb-4 text-capitalize text-primary">Order Summary</h4>
                    <div class="flex-grow-1 overflow-auto">
                        <div class="ticket-cart">
                            <?php $ammount = []; ?>
                            <?php if(isset($_SESSION[$slug])): ?>
                            <?php $__currentLoopData = $_SESSION[$slug]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="order-item cart-item<?php echo e($key); ?>">
                                <?php echo e($value['ticket_name']); ?> x <?php echo e($value['ticket_quantity']); ?>

                                <span class="ms-auto text-nowrap">
                                    <?php if($value['ticket_price'] == 0): ?> <?php echo e('Free'); ?> <?php else: ?> <?php echo e($master_setting['settings']->Currency.number_format($value['ticket_price'],2)); ?> <?php endif; ?>
                                </span>
                                <a class="ms-1 remove-item" href="javascript:void(0);" data-ticketid="<?php echo e($key); ?>" data-slug="<?php echo e($slug); ?>"><img src="<?php echo e(asset('public/images/delete.svg')); ?>" alt=""></a>
                            </div>
                            <?php
                            array_push($ammount, $value['ticket_price']);
                            ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </div>
                        <?php $total = array_sum($ammount) ?>
                        <h5 class="d-md-flex align-items-center">Total <span class="ms-auto text-nowrap total-ammount"><?php echo e($master_setting['settings']->Currency.number_format($total,2)); ?></span></h5>
                    </div>
                    <div class="bottom-ticket-count">
                        <p class="text-center mb-2 total_tickets_count">Total : <?php echo e(isset($_SESSION[$slug]) ? array_sum(array_column($_SESSION[$slug], 'ticket_quantity')) : 0); ?> Tickets</p>
                        <a href="<?php echo e(route('addAttendees', ['slug' => $slug])); ?>" class="btn btn-primary py-2 w-100 booknow-btn <?php if(!isset($_SESSION[$slug]) || empty($_SESSION[$slug])): ?> disabled <?php endif; ?>">Register Now <img src="<?php echo e(asset('public/images/btn_arrow.svg')); ?>" alt=""></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="sticky-bottom">
    <div class="d-flex align-items-center justify-content-between p-2">

        <div class="am-wrap">
            <span class="am-label">Total Amount</span>
            <span>
                <span class="s-b-price total-ammount"><?php echo e($master_setting['settings']->Currency.number_format($total,2)); ?></span><a href="javascript:void();" data-bs-target="#order-slideup" data-bs-toggle="modal" class="slide-up-info">i</a>
            </span>

        </div>
        <a href="<?php echo e(route('addAttendees', ['slug' => $slug])); ?>" class="btn btn-white py-2 booknow-btn <?php if(!isset($_SESSION[$slug]) || empty($_SESSION[$slug])): ?> disabled <?php endif; ?>">Register Now <img src="<?php echo e(asset('public/images/btn_arrow_blue.svg')); ?>" alt=""></a>
    </div>
</div>

<div id="order-slideup" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="book-slideupLabel" aria-hidden="true" class="modal slideup-modal fade">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="mb-0 text-capitalize text-center w-100">Order Summary</h4>
                <button type="button" data-bs-dismiss="modal" aria-label="Close" class="btn-close"></button>
            </div>
            <div class="modal-body p-lg-4">
                <div class="order-summary">
                    <!-- <h6 class="mt-md-3 mb-0 text-center">No Items Added</h6> -->
                    <h4 class="mb-4 text-capitalize">Order Summary</h4>
                    <div class="flex-grow-1 overflow-auto">
                        <div class="ticket-cart">
                            <?php $ammount = []; ?>
                            <?php if(isset($_SESSION[$slug])): ?>
                            <?php $__currentLoopData = $_SESSION[$slug]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="order-item cart-item<?php echo e($key); ?>">
                                <?php echo e($value['ticket_name']); ?> x <?php echo e($value['ticket_quantity']); ?>

                                <span class="ms-auto text-nowrap">
                                    <?php if($value['ticket_price'] == 0): ?> <?php echo e('Free'); ?> <?php else: ?> <?php echo e($master_setting['settings']->Currency.number_format($value['ticket_price'],2)); ?> <?php endif; ?>
                                </span>
                                <a class="ms-1 remove-item" href="javascript:void(0);" data-ticketid="<?php echo e($key); ?>" data-slug="<?php echo e($slug); ?>"><img src="<?php echo e(asset('public/images/delete.svg')); ?>" alt=""></a>
                            </div>
                            <?php
                            array_push($ammount, $value['ticket_price']);
                            ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </div>
                        <?php $total = array_sum($ammount) ?>
                        <h5 class="d-flex align-items-center">Order Total: <span class="ms-auto text-nowrap total-ammount"><?php echo e($master_setting['settings']->Currency.number_format($total,2)); ?></span></h5>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
<style>
    a.disabled {
        pointer-events: none;
    }
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
    $(document).ready(function() {
        $('#selectall').click(function() {
            $('.selectedId').prop('checked', this.checked);
        });

        var reg_type = "<?php echo e($master_setting['settings']->registration_type); ?>";
        if (reg_type == 'Single') {
            $('.add-cart').change(function() {
                $('.add-cart').attr('disabled', true);
                $(this).attr('disabled', false);
            });
        }

        $('.add-cart').change(function() {

            var ticket_id = $(this).data('ticketid');
            var ticket_slug = $(this).data('slug');
            var ticket_quantity = $('.quantity' + ticket_id).val();

            $.ajax({
                type: 'POST',
                url: "<?php echo e(route('addToCart')); ?>",
                data: {
                    "_token": "<?php echo e(csrf_token()); ?>",
                    ticket_id: ticket_id,
                    ticket_slug: ticket_slug,
                    ticket_quantity: ticket_quantity
                },
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(response) {
                    response = jQuery.parseJSON(response);
                    var type = response.type;
                    var data = response.data;

                    if (type == 'Success') {
                        $('.ticket-cart').html('');
                        const ammount = [];
                        const ticket_qty = [];
                        const Currency = "<?php echo e($master_setting['settings']->Currency); ?>";
                        if (data.length !== 0) {
                            $.each(data, function(key, value) {
                                //console.log(value);
                                var price = '';
                                if (value.ticket_price == 0) {
                                    price = 'Free';
                                } else {
                                    var total = value.ticket_price;
                                    price = Currency + parseFloat(total).toFixed(2);
                                    ammount.push(total);
                                }
                                ticket_qty.push(parseInt(value.ticket_quantity));

                                $('.ticket-cart').append('<div class="order-item cart-item' + key + '">' + value.ticket_name + ' x ' + value.ticket_quantity + '<span class="ms-auto text-nowrap">' + price + '</span><a class="ms-1 remove-item" href="javascript:void(0);" data-ticketid="' + key + '" data-slug="<?php echo e($slug); ?>"><img src="<?php echo e(asset("public/images/delete.svg")); ?>" alt=""></a></div>');
                                $('.qty_ticket_price' + value.id).html(price);
                            });
                        } else {
                            $('.qty_ticket_price' + ticket_id).html('₹0');
                            //alert(ticket_id);
                        }

                        let sum = 0;
                        let count = 0;

                        for (let i = 0; i < ammount.length; i++) {
                            sum += ammount[i];
                        }
                        for (let a = 0; a < ticket_qty.length; a++) {
                            count += ticket_qty[a];
                        }

                        $('.total-ammount').html(Currency + parseFloat(sum).toFixed(2));
                        $('.total_tickets_count').html('Total : ' + count + ' Tickets ');
                        var data_length = data.length;

                        if (data_length == 0) {
                            $('.booknow-btn').addClass('disabled');
                        } else {
                            $('.booknow-btn').removeClass('disabled');
                        }
                    } else {
                        $('.response_status').css('color', 'red').html(message).show();
                    }
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                }
            });

        });

        //remove attendees
        $(document).on('click', '.remove-item', function(e) {
            var ticket_id = $(this).data('ticketid');
            var slug = $(this).data('slug');

            if (ticket_id != '') {
                $.ajax({
                    type: 'POST',
                    url: "<?php echo e(route('removeToCart')); ?>",
                    data: {
                        "_token": "<?php echo e(csrf_token()); ?>",
                        slug: slug,
                        ticket_id: ticket_id
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        response = jQuery.parseJSON(response);
                        var type = response.type;
                        var message = response.message;

                        if (type == 'Success') {
                            location.reload();
                        }
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            }
            e.preventDefault();
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dreamcast/live.dreamcast.in/eventbot/basic_event/resources/views/user/ticket_bookings.blade.php ENDPATH**/ ?>